# GstSDPMessage

The GstSDPMessage helper functions makes it easy to parse and create SDP messages.

## GstSDPAttribute

The contents of the SDP "a=" field which contains a key/value pair.

### Members

`key` (gchar*) –

the attribute key

`value` (gchar*) –

the attribute value or NULL when it was a property attribute

## GstSdp.SDPAttribute

The contents of the SDP "a=" field which contains a key/value pair.

### Members

`key` (String) –

the attribute key

`value` (String) –

the attribute value or NULL when it was a property attribute

## GstSdp.SDPAttribute

The contents of the SDP "a=" field which contains a key/value pair.

### Members

`key` (str) –

the attribute key

`value` (str) –

the attribute value or NULL when it was a property attribute

### Methods

#### gst_sdp_attribute_clear

    GstSDPResult
    gst_sdp_attribute_clear (GstSDPAttribute * attr)

Clear the attribute.

Parameters:

`attr` –

a GstSDPAttribute

Returns –

GST_SDP_OK.

Since : 1.2

#### GstSdp.SDPAttribute.prototype.clear

    function GstSdp.SDPAttribute.prototype.clear(): {
        // javascript wrapper for 'gst_sdp_attribute_clear'
    }

Clear the attribute.

Parameters:

`attr` (GstSdp.SDPAttribute) –

a GstSdp.SDPAttribute

Returns (GstSdp.SDPResult) –

GST_SDP_OK.

Since : 1.2

#### GstSdp.SDPAttribute.clear

    def GstSdp.SDPAttribute.clear (self):
        #python wrapper for 'gst_sdp_attribute_clear'

Clear the attribute.

Parameters:

`attr` (GstSdp.SDPAttribute) –

a GstSdp.SDPAttribute

Returns (GstSdp.SDPResult) –

GST_SDP_OK.

Since : 1.2

#### gst_sdp_attribute_set

    GstSDPResult
    gst_sdp_attribute_set (GstSDPAttribute * attr,
                           const gchar* key,
                           const gchar* value)

Set the attribute with key and value.

Parameters:

`attr` –

a GstSDPAttribute

`key` –

the key

`value` ( [nullable]) –

the value

Returns –

GST_SDP_OK.

Since : 1.2

#### GstSdp.SDPAttribute.prototype.set

    function GstSdp.SDPAttribute.prototype.set(key: String, value: String): {
        // javascript wrapper for 'gst_sdp_attribute_set'
    }

Set the attribute with key and value.

Parameters:

`attr` (GstSdp.SDPAttribute) –

a GstSdp.SDPAttribute

`key` (String) –

the key

`value` (String) –

the value

Returns (GstSdp.SDPResult) –

GST_SDP_OK.

Since : 1.2

#### GstSdp.SDPAttribute.set

    def GstSdp.SDPAttribute.set (self, key, value):
        #python wrapper for 'gst_sdp_attribute_set'

Set the attribute with key and value.

Parameters:

`attr` (GstSdp.SDPAttribute) –

a GstSdp.SDPAttribute

`key` (str) –

the key

`value` (str) –

the value

Returns (GstSdp.SDPResult) –

GST_SDP_OK.

Since : 1.2

## GstSDPBandwidth

The contents of the SDP "b=" field which specifies the proposed bandwidth to be used by the session or media.

### Members

`bwtype` (gchar*) –

the bandwidth modifier type

`bandwidth` (guint) –

the bandwidth in kilobits per second

## GstSdp.SDPBandwidth

The contents of the SDP "b=" field which specifies the proposed bandwidth to be used by the session or media.

### Members

`bwtype` (String) –

the bandwidth modifier type

`bandwidth` (Number) –

the bandwidth in kilobits per second

## GstSdp.SDPBandwidth

The contents of the SDP "b=" field which specifies the proposed bandwidth to be used by the session or media.

### Members

`bwtype` (str) –

the bandwidth modifier type

`bandwidth` (int) –

the bandwidth in kilobits per second

### Methods

#### gst_sdp_bandwidth_clear

    GstSDPResult
    gst_sdp_bandwidth_clear (GstSDPBandwidth * bw)

Reset the bandwidth information in bw.

Parameters:

`bw` –

a GstSDPBandwidth

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPBandwidth.prototype.clear

    function GstSdp.SDPBandwidth.prototype.clear(): {
        // javascript wrapper for 'gst_sdp_bandwidth_clear'
    }

Reset the bandwidth information in bw.

Parameters:

`bw` (GstSdp.SDPBandwidth) –

a GstSdp.SDPBandwidth

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPBandwidth.clear

    def GstSdp.SDPBandwidth.clear (self):
        #python wrapper for 'gst_sdp_bandwidth_clear'

Reset the bandwidth information in bw.

Parameters:

`bw` (GstSdp.SDPBandwidth) –

a GstSdp.SDPBandwidth

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### gst_sdp_bandwidth_set

    GstSDPResult
    gst_sdp_bandwidth_set (GstSDPBandwidth * bw,
                           const gchar* bwtype,
                           guint bandwidth)

Set bandwidth information in bw.

Parameters:

`bw` –

a GstSDPBandwidth

`bwtype` –

the bandwidth modifier type

`bandwidth` –

the bandwidth in kilobits per second

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPBandwidth.prototype.set

    function GstSdp.SDPBandwidth.prototype.set(bwtype: String, bandwidth: Number): {
        // javascript wrapper for 'gst_sdp_bandwidth_set'
    }

Set bandwidth information in bw.

Parameters:

`bw` (GstSdp.SDPBandwidth) –

a GstSdp.SDPBandwidth

`bwtype` (String) –

the bandwidth modifier type

`bandwidth` (Number) –

the bandwidth in kilobits per second

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPBandwidth.set

    def GstSdp.SDPBandwidth.set (self, bwtype, bandwidth):
        #python wrapper for 'gst_sdp_bandwidth_set'

Set bandwidth information in bw.

Parameters:

`bw` (GstSdp.SDPBandwidth) –

a GstSdp.SDPBandwidth

`bwtype` (str) –

the bandwidth modifier type

`bandwidth` (int) –

the bandwidth in kilobits per second

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

## GstSDPConnection

The contents of the SDP "c=" field which contains connection data.

### Members

`nettype` (gchar*) –

the type of network. "IN" is defined to have the meaning "Internet".

`addrtype` (gchar*) –

the type of address.

`address` (gchar*) –

the address

`ttl` (guint) –

the time to live of the address

`addr_number` (guint) –

the number of layers

## GstSdp.SDPConnection

The contents of the SDP "c=" field which contains connection data.

### Members

`nettype` (String) –

the type of network. "IN" is defined to have the meaning "Internet".

`addrtype` (String) –

the type of address.

`address` (String) –

the address

`ttl` (Number) –

the time to live of the address

`addr_number` (Number) –

the number of layers

## GstSdp.SDPConnection

The contents of the SDP "c=" field which contains connection data.

### Members

`nettype` (str) –

the type of network. "IN" is defined to have the meaning "Internet".

`addrtype` (str) –

the type of address.

`address` (str) –

the address

`ttl` (int) –

the time to live of the address

`addr_number` (int) –

the number of layers

### Methods

#### gst_sdp_connection_clear

    GstSDPResult
    gst_sdp_connection_clear (GstSDPConnection * conn)

Clear the connection.

Parameters:

`conn` –

a GstSDPConnection

Returns –

GST_SDP_OK.

Since : 1.2

#### GstSdp.SDPConnection.prototype.clear

    function GstSdp.SDPConnection.prototype.clear(): {
        // javascript wrapper for 'gst_sdp_connection_clear'
    }

Clear the connection.

Parameters:

`conn` (GstSdp.SDPConnection) –

a GstSdp.SDPConnection

Returns (GstSdp.SDPResult) –

GST_SDP_OK.

Since : 1.2

#### GstSdp.SDPConnection.clear

    def GstSdp.SDPConnection.clear (self):
        #python wrapper for 'gst_sdp_connection_clear'

Clear the connection.

Parameters:

`conn` (GstSdp.SDPConnection) –

a GstSdp.SDPConnection

Returns (GstSdp.SDPResult) –

GST_SDP_OK.

Since : 1.2

#### gst_sdp_connection_set

    GstSDPResult
    gst_sdp_connection_set (GstSDPConnection * conn,
                            const gchar* nettype,
                            const gchar* addrtype,
                            const gchar* address,
                            guint ttl,
                            guint addr_number)

Set the connection with the given parameters.

Parameters:

`conn` –

a GstSDPConnection

`nettype` –

the type of network. "IN" is defined to have the meaning "Internet".

`addrtype` –

the type of address.

`address` –

the address

`ttl` –

the time to live of the address

`addr_number` –

the number of layers

Returns –

GST_SDP_OK.

Since : 1.2

#### GstSdp.SDPConnection.prototype.set

    function GstSdp.SDPConnection.prototype.set(nettype: String, addrtype: String, address: String, ttl: Number, addr_number: Number): {
        // javascript wrapper for 'gst_sdp_connection_set'
    }

Set the connection with the given parameters.

Parameters:

`conn` (GstSdp.SDPConnection) –

a GstSdp.SDPConnection

`nettype` (String) –

the type of network. "IN" is defined to have the meaning "Internet".

`addrtype` (String) –

the type of address.

`address` (String) –

the address

`ttl` (Number) –

the time to live of the address

`addr_number` (Number) –

the number of layers

Returns (GstSdp.SDPResult) –

GST_SDP_OK.

Since : 1.2

#### GstSdp.SDPConnection.set

    def GstSdp.SDPConnection.set (self, nettype, addrtype, address, ttl, addr_number):
        #python wrapper for 'gst_sdp_connection_set'

Set the connection with the given parameters.

Parameters:

`conn` (GstSdp.SDPConnection) –

a GstSdp.SDPConnection

`nettype` (str) –

the type of network. "IN" is defined to have the meaning "Internet".

`addrtype` (str) –

the type of address.

`address` (str) –

the address

`ttl` (int) –

the time to live of the address

`addr_number` (int) –

the number of layers

Returns (GstSdp.SDPResult) –

GST_SDP_OK.

Since : 1.2

## GstSDPKey

The contents of the SDP "k=" field which is used to convey encryption keys.

### Members

`type` (gchar*) –

the encryption type

`data` (gchar*) –

the encryption data

## GstSdp.SDPKey

The contents of the SDP "k=" field which is used to convey encryption keys.

### Members

`type` (String) –

the encryption type

`data` (String) –

the encryption data

## GstSdp.SDPKey

The contents of the SDP "k=" field which is used to convey encryption keys.

### Members

`type` (str) –

the encryption type

`data` (str) –

the encryption data

## GstSDPMedia

The contents of the SDP "m=" field with all related fields.

### Members

`media` (gchar*) –

the media type

`port` (guint) –

the transport port to which the media stream will be sent

`num_ports` (guint) –

the number of ports or -1 if only one port was specified

`proto` (gchar*) –

the transport protocol

`fmts` (GArray *) –

an array of gchar formats

`information` (gchar*) –

the media title

`connections` (GArray *) –

array of GstSDPConnection with media connection information

`bandwidths` (GArray *) –

array of GstSDPBandwidth with media bandwidth information

`key` (GstSDPKey) –

the encryption key

`attributes` (GArray *) –

array of GstSDPAttribute with the additional media attributes

## GstSdp.SDPMedia

The contents of the SDP "m=" field with all related fields.

### Members

`media` (String) –

the media type

`port` (Number) –

the transport port to which the media stream will be sent

`num_ports` (Number) –

the number of ports or -1 if only one port was specified

`proto` (String) –

the transport protocol

`fmts` ([ Object ]) –

an array of gchar formats

`information` (String) –

the media title

`connections` ([ Object ]) –

array of GstSdp.SDPConnection with media connection information

`bandwidths` ([ Object ]) –

array of GstSdp.SDPBandwidth with media bandwidth information

`key` (GstSdp.SDPKey) –

the encryption key

`attributes` ([ Object ]) –

array of GstSdp.SDPAttribute with the additional media attributes

## GstSdp.SDPMedia

The contents of the SDP "m=" field with all related fields.

### Members

`media` (str) –

the media type

`port` (int) –

the transport port to which the media stream will be sent

`num_ports` (int) –

the number of ports or -1 if only one port was specified

`proto` (str) –

the transport protocol

`fmts` ([ object ]) –

an array of gchar formats

`information` (str) –

the media title

`connections` ([ object ]) –

array of GstSdp.SDPConnection with media connection information

`bandwidths` ([ object ]) –

array of GstSdp.SDPBandwidth with media bandwidth information

`key` (GstSdp.SDPKey) –

the encryption key

`attributes` ([ object ]) –

array of GstSdp.SDPAttribute with the additional media attributes

### Methods

#### gst_sdp_media_add_attribute

    GstSDPResult
    gst_sdp_media_add_attribute (GstSDPMedia * media,
                                 const gchar* key,
                                 const gchar* value)

Add the attribute with key and value to media.

Parameters:

`media` –

a GstSDPMedia

`key` –

a key

`value` ( [nullable]) –

a value

Returns –

GST_SDP_OK.

#### GstSdp.SDPMedia.prototype.add_attribute

    function GstSdp.SDPMedia.prototype.add_attribute(key: String, value: String): {
        // javascript wrapper for 'gst_sdp_media_add_attribute'
    }

Add the attribute with key and value to media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`key` (String) –

a key

`value` (String) –

a value

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

#### GstSdp.SDPMedia.add_attribute

    def GstSdp.SDPMedia.add_attribute (self, key, value):
        #python wrapper for 'gst_sdp_media_add_attribute'

Add the attribute with key and value to media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`key` (str) –

a key

`value` (str) –

a value

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

#### gst_sdp_media_add_bandwidth

    GstSDPResult
    gst_sdp_media_add_bandwidth (GstSDPMedia * media,
                                 const gchar* bwtype,
                                 guint bandwidth)

Add the bandwidth information with bwtype and bandwidth to media.

Parameters:

`media` –

a GstSDPMedia

`bwtype` –

the bandwidth modifier type

`bandwidth` –

the bandwidth in kilobits per second

Returns –

GST_SDP_OK.

#### GstSdp.SDPMedia.prototype.add_bandwidth

    function GstSdp.SDPMedia.prototype.add_bandwidth(bwtype: String, bandwidth: Number): {
        // javascript wrapper for 'gst_sdp_media_add_bandwidth'
    }

Add the bandwidth information with bwtype and bandwidth to media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`bwtype` (String) –

the bandwidth modifier type

`bandwidth` (Number) –

the bandwidth in kilobits per second

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

#### GstSdp.SDPMedia.add_bandwidth

    def GstSdp.SDPMedia.add_bandwidth (self, bwtype, bandwidth):
        #python wrapper for 'gst_sdp_media_add_bandwidth'

Add the bandwidth information with bwtype and bandwidth to media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`bwtype` (str) –

the bandwidth modifier type

`bandwidth` (int) –

the bandwidth in kilobits per second

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

#### gst_sdp_media_add_connection

    GstSDPResult
    gst_sdp_media_add_connection (GstSDPMedia * media,
                                  const gchar* nettype,
                                  const gchar* addrtype,
                                  const gchar* address,
                                  guint ttl,
                                  guint addr_number)

Add the given connection parameters to media.

Parameters:

`media` –

a GstSDPMedia

`nettype` –

the type of network. "IN" is defined to have the meaning "Internet".

`addrtype` –

the type of address.

`address` –

the address

`ttl` –

the time to live of the address

`addr_number` –

the number of layers

Returns –

a GstSDPResult.

#### GstSdp.SDPMedia.prototype.add_connection

    function GstSdp.SDPMedia.prototype.add_connection(nettype: String, addrtype: String, address: String, ttl: Number, addr_number: Number): {
        // javascript wrapper for 'gst_sdp_media_add_connection'
    }

Add the given connection parameters to media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`nettype` (String) –

the type of network. "IN" is defined to have the meaning "Internet".

`addrtype` (String) –

the type of address.

`address` (String) –

the address

`ttl` (Number) –

the time to live of the address

`addr_number` (Number) –

the number of layers

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### GstSdp.SDPMedia.add_connection

    def GstSdp.SDPMedia.add_connection (self, nettype, addrtype, address, ttl, addr_number):
        #python wrapper for 'gst_sdp_media_add_connection'

Add the given connection parameters to media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`nettype` (str) –

the type of network. "IN" is defined to have the meaning "Internet".

`addrtype` (str) –

the type of address.

`address` (str) –

the address

`ttl` (int) –

the time to live of the address

`addr_number` (int) –

the number of layers

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### gst_sdp_media_add_format

    GstSDPResult
    gst_sdp_media_add_format (GstSDPMedia * media,
                              const gchar* format)

Add the format information to media.

Parameters:

`media` –

a GstSDPMedia

`format` –

the format

Returns –

GST_SDP_OK.

#### GstSdp.SDPMedia.prototype.add_format

    function GstSdp.SDPMedia.prototype.add_format(format: String): {
        // javascript wrapper for 'gst_sdp_media_add_format'
    }

Add the format information to media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`format` (String) –

the format

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

#### GstSdp.SDPMedia.add_format

    def GstSdp.SDPMedia.add_format (self, format):
        #python wrapper for 'gst_sdp_media_add_format'

Add the format information to media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`format` (str) –

the format

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

#### gst_sdp_media_as_text

    gchar*
    gst_sdp_media_as_text (const GstSDPMedia * media)

Convert the contents of media to a text string.

Parameters:

`media` –

a GstSDPMedia

Returns ( [transfer: full]) –

A dynamically allocated string representing the media.

#### GstSdp.SDPMedia.prototype.as_text

    function GstSdp.SDPMedia.prototype.as_text(): {
        // javascript wrapper for 'gst_sdp_media_as_text'
    }

Convert the contents of media to a text string.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (String) –

A dynamically allocated string representing the media.

#### GstSdp.SDPMedia.as_text

    def GstSdp.SDPMedia.as_text (self):
        #python wrapper for 'gst_sdp_media_as_text'

Convert the contents of media to a text string.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (str) –

A dynamically allocated string representing the media.

#### gst_sdp_media_attributes_len

    guint
    gst_sdp_media_attributes_len (const GstSDPMedia * media)

Get the number of attribute fields in media.

Parameters:

`media` –

a GstSDPMedia

Returns –

the number of attributes in media.

#### GstSdp.SDPMedia.prototype.attributes_len

    function GstSdp.SDPMedia.prototype.attributes_len(): {
        // javascript wrapper for 'gst_sdp_media_attributes_len'
    }

Get the number of attribute fields in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (Number) –

the number of attributes in media.

#### GstSdp.SDPMedia.attributes_len

    def GstSdp.SDPMedia.attributes_len (self):
        #python wrapper for 'gst_sdp_media_attributes_len'

Get the number of attribute fields in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (int) –

the number of attributes in media.

#### gst_sdp_media_attributes_to_caps

    GstSDPResult
    gst_sdp_media_attributes_to_caps (const GstSDPMedia * media,
                                      GstCaps * caps)

Mapping of attributes of GstSDPMedia to GstCaps

Parameters:

`media` –

a GstSDPMedia

`caps` –

a GstCaps

Returns –

a GstSDPResult.

Since : 1.8

#### GstSdp.SDPMedia.prototype.attributes_to_caps

    function GstSdp.SDPMedia.prototype.attributes_to_caps(caps: Gst.Caps): {
        // javascript wrapper for 'gst_sdp_media_attributes_to_caps'
    }

Mapping of attributes of GstSdp.SDPMedia to Gst.Caps

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`caps` (Gst.Caps) –

a Gst.Caps

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.8

#### GstSdp.SDPMedia.attributes_to_caps

    def GstSdp.SDPMedia.attributes_to_caps (self, caps):
        #python wrapper for 'gst_sdp_media_attributes_to_caps'

Mapping of attributes of GstSdp.SDPMedia to Gst.Caps

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`caps` (Gst.Caps) –

a Gst.Caps

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.8

#### gst_sdp_media_bandwidths_len

    guint
    gst_sdp_media_bandwidths_len (const GstSDPMedia * media)

Get the number of bandwidth fields in media.

Parameters:

`media` –

a GstSDPMedia

Returns –

the number of bandwidths in media.

#### GstSdp.SDPMedia.prototype.bandwidths_len

    function GstSdp.SDPMedia.prototype.bandwidths_len(): {
        // javascript wrapper for 'gst_sdp_media_bandwidths_len'
    }

Get the number of bandwidth fields in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (Number) –

the number of bandwidths in media.

#### GstSdp.SDPMedia.bandwidths_len

    def GstSdp.SDPMedia.bandwidths_len (self):
        #python wrapper for 'gst_sdp_media_bandwidths_len'

Get the number of bandwidth fields in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (int) –

the number of bandwidths in media.

#### gst_sdp_media_connections_len

    guint
    gst_sdp_media_connections_len (const GstSDPMedia * media)

Get the number of connection fields in media.

Parameters:

`media` –

a GstSDPMedia

Returns –

the number of connections in media.

#### GstSdp.SDPMedia.prototype.connections_len

    function GstSdp.SDPMedia.prototype.connections_len(): {
        // javascript wrapper for 'gst_sdp_media_connections_len'
    }

Get the number of connection fields in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (Number) –

the number of connections in media.

#### GstSdp.SDPMedia.connections_len

    def GstSdp.SDPMedia.connections_len (self):
        #python wrapper for 'gst_sdp_media_connections_len'

Get the number of connection fields in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (int) –

the number of connections in media.

#### gst_sdp_media_copy

    GstSDPResult
    gst_sdp_media_copy (const GstSDPMedia * media,
                        GstSDPMedia ** copy)

Allocate a new copy of media and store the result in copy. The value in copy should be release with gst_sdp_media_free function.

Parameters:

`media` –

a GstSDPMedia

`copy` ( [out][transfer: full]) –

pointer to new GstSDPMedia

Returns –

a GstSDPResult

Since : 1.2

#### GstSdp.SDPMedia.prototype.copy

    function GstSdp.SDPMedia.prototype.copy(): {
        // javascript wrapper for 'gst_sdp_media_copy'
    }

Allocate a new copy of media and store the result in copy. The value in copy should be release with gst_sdp_media_free function.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns a tuple made of:

(GstSdp.SDPResult ) –

a GstSdp.SDPResult

`copy` (GstSdp.SDPMedia ) –

a GstSdp.SDPResult

Since : 1.2

#### GstSdp.SDPMedia.copy

    def GstSdp.SDPMedia.copy (self):
        #python wrapper for 'gst_sdp_media_copy'

Allocate a new copy of media and store the result in copy. The value in copy should be release with gst_sdp_media_free function.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns a tuple made of:

(GstSdp.SDPResult ) –

a GstSdp.SDPResult

`copy` (GstSdp.SDPMedia ) –

a GstSdp.SDPResult

Since : 1.2

#### gst_sdp_media_formats_len

    guint
    gst_sdp_media_formats_len (const GstSDPMedia * media)

Get the number of formats in media.

Parameters:

`media` –

a GstSDPMedia

Returns –

the number of formats in media.

#### GstSdp.SDPMedia.prototype.formats_len

    function GstSdp.SDPMedia.prototype.formats_len(): {
        // javascript wrapper for 'gst_sdp_media_formats_len'
    }

Get the number of formats in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (Number) –

the number of formats in media.

#### GstSdp.SDPMedia.formats_len

    def GstSdp.SDPMedia.formats_len (self):
        #python wrapper for 'gst_sdp_media_formats_len'

Get the number of formats in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (int) –

the number of formats in media.

#### gst_sdp_media_free

    GstSDPResult
    gst_sdp_media_free (GstSDPMedia * media)

Free all resources allocated by media. media should not be used anymore after this function. This function should be used when media was dynamically allocated with gst_sdp_media_new.

Parameters:

`media` –

a GstSDPMedia

Returns –

a GstSDPResult.

#### GstSdp.SDPMedia.prototype.free

    function GstSdp.SDPMedia.prototype.free(): {
        // javascript wrapper for 'gst_sdp_media_free'
    }

Free all resources allocated by media. media should not be used anymore after this function. This function should be used when media was dynamically allocated with GstSdp.prototype.sdp_media_new.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### GstSdp.SDPMedia.free

    def GstSdp.SDPMedia.free (self):
        #python wrapper for 'gst_sdp_media_free'

Free all resources allocated by media. media should not be used anymore after this function. This function should be used when media was dynamically allocated with GstSdp.sdp_media_new.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### gst_sdp_media_get_attribute

    const GstSDPAttribute *
    gst_sdp_media_get_attribute (const GstSDPMedia * media,
                                 guint idx)

Get the attribute at position idx in media.

Parameters:

`media` –

a GstSDPMedia

`idx` –

an index

Returns –

the GstSDPAttribute at position idx.

#### GstSdp.SDPMedia.prototype.get_attribute

    function GstSdp.SDPMedia.prototype.get_attribute(idx: Number): {
        // javascript wrapper for 'gst_sdp_media_get_attribute'
    }

Get the attribute at position idx in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (Number) –

an index

Returns (GstSdp.SDPAttribute) –

the GstSdp.SDPAttribute at position idx.

#### GstSdp.SDPMedia.get_attribute

    def GstSdp.SDPMedia.get_attribute (self, idx):
        #python wrapper for 'gst_sdp_media_get_attribute'

Get the attribute at position idx in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (int) –

an index

Returns (GstSdp.SDPAttribute) –

the GstSdp.SDPAttribute at position idx.

#### gst_sdp_media_get_attribute_val

    const gchar*
    gst_sdp_media_get_attribute_val (const GstSDPMedia * media,
                                     const gchar* key)

Get the first attribute value for key in media.

Parameters:

`media` –

a GstSDPMedia

`key` –

a key

Returns ( [nullable]) –

the first attribute value for key.

#### GstSdp.SDPMedia.prototype.get_attribute_val

    function GstSdp.SDPMedia.prototype.get_attribute_val(key: String): {
        // javascript wrapper for 'gst_sdp_media_get_attribute_val'
    }

Get the first attribute value for key in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`key` (String) –

a key

Returns (String) –

the first attribute value for key.

#### GstSdp.SDPMedia.get_attribute_val

    def GstSdp.SDPMedia.get_attribute_val (self, key):
        #python wrapper for 'gst_sdp_media_get_attribute_val'

Get the first attribute value for key in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`key` (str) –

a key

Returns (str) –

the first attribute value for key.

#### gst_sdp_media_get_attribute_val_n

    const gchar*
    gst_sdp_media_get_attribute_val_n (const GstSDPMedia * media,
                                       const gchar* key,
                                       guint nth)

Get the nth attribute value for key in media.

Parameters:

`media` –

a GstSDPMedia

`key` –

a key

`nth` –

an index

Returns ( [nullable]) –

the nth attribute value.

#### GstSdp.SDPMedia.prototype.get_attribute_val_n

    function GstSdp.SDPMedia.prototype.get_attribute_val_n(key: String, nth: Number): {
        // javascript wrapper for 'gst_sdp_media_get_attribute_val_n'
    }

Get the nth attribute value for key in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`key` (String) –

a key

`nth` (Number) –

an index

Returns (String) –

the nth attribute value.

#### GstSdp.SDPMedia.get_attribute_val_n

    def GstSdp.SDPMedia.get_attribute_val_n (self, key, nth):
        #python wrapper for 'gst_sdp_media_get_attribute_val_n'

Get the nth attribute value for key in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`key` (str) –

a key

`nth` (int) –

an index

Returns (str) –

the nth attribute value.

#### gst_sdp_media_get_bandwidth

    const GstSDPBandwidth *
    gst_sdp_media_get_bandwidth (const GstSDPMedia * media,
                                 guint idx)

Get the bandwidth at position idx in media.

Parameters:

`media` –

a GstSDPMedia

`idx` –

an index

Returns –

the GstSDPBandwidth at position idx.

#### GstSdp.SDPMedia.prototype.get_bandwidth

    function GstSdp.SDPMedia.prototype.get_bandwidth(idx: Number): {
        // javascript wrapper for 'gst_sdp_media_get_bandwidth'
    }

Get the bandwidth at position idx in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (Number) –

an index

Returns (GstSdp.SDPBandwidth) –

the GstSdp.SDPBandwidth at position idx.

#### GstSdp.SDPMedia.get_bandwidth

    def GstSdp.SDPMedia.get_bandwidth (self, idx):
        #python wrapper for 'gst_sdp_media_get_bandwidth'

Get the bandwidth at position idx in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (int) –

an index

Returns (GstSdp.SDPBandwidth) –

the GstSdp.SDPBandwidth at position idx.

#### gst_sdp_media_get_caps_from_media

    GstCaps *
    gst_sdp_media_get_caps_from_media (const GstSDPMedia * media,
                                       gint pt)

Mapping of caps from SDP fields:

a=rtpmap:(payload) (encoding_name)/(clock_rate)[/(encoding_params)]

a=framesize:(payload) (width)-(height)

a=fmtp:(payload) (param)[=(value)];...

Note that the extmap, ssrc and rid attributes are set only by gst_sdp_media_attributes_to_caps.

Parameters:

`media` –

a GstSDPMedia

`pt` –

a payload type

Returns ( [transfer: full][nullable]) –

a GstCaps, or NULL if an error happened

Since : 1.8

#### GstSdp.SDPMedia.prototype.get_caps_from_media

    function GstSdp.SDPMedia.prototype.get_caps_from_media(pt: Number): {
        // javascript wrapper for 'gst_sdp_media_get_caps_from_media'
    }

Mapping of caps from SDP fields:

a=rtpmap:(payload) (encoding_name)/(clock_rate)[/(encoding_params)]

a=framesize:(payload) (width)-(height)

a=fmtp:(payload) (param)[=(value)];...

Note that the extmap, ssrc and rid attributes are set only by GstSdp.SDPMedia.prototype.attributes_to_caps.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`pt` (Number) –

a payload type

Returns (Gst.Caps) –

a Gst.Caps, or NULL if an error happened

Since : 1.8

#### GstSdp.SDPMedia.get_caps_from_media

    def GstSdp.SDPMedia.get_caps_from_media (self, pt):
        #python wrapper for 'gst_sdp_media_get_caps_from_media'

Mapping of caps from SDP fields:

a=rtpmap:(payload) (encoding_name)/(clock_rate)[/(encoding_params)]

a=framesize:(payload) (width)-(height)

a=fmtp:(payload) (param)[=(value)];...

Note that the extmap, ssrc and rid attributes are set only by GstSdp.SDPMedia.attributes_to_caps.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`pt` (int) –

a payload type

Returns (Gst.Caps) –

a Gst.Caps, or NULL if an error happened

Since : 1.8

#### gst_sdp_media_get_connection

    const GstSDPConnection *
    gst_sdp_media_get_connection (const GstSDPMedia * media,
                                  guint idx)

Get the connection at position idx in media.

Parameters:

`media` –

a GstSDPMedia

`idx` –

an index

Returns –

the GstSDPConnection at position idx.

#### GstSdp.SDPMedia.prototype.get_connection

    function GstSdp.SDPMedia.prototype.get_connection(idx: Number): {
        // javascript wrapper for 'gst_sdp_media_get_connection'
    }

Get the connection at position idx in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (Number) –

an index

Returns (GstSdp.SDPConnection) –

the GstSdp.SDPConnection at position idx.

#### GstSdp.SDPMedia.get_connection

    def GstSdp.SDPMedia.get_connection (self, idx):
        #python wrapper for 'gst_sdp_media_get_connection'

Get the connection at position idx in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (int) –

an index

Returns (GstSdp.SDPConnection) –

the GstSdp.SDPConnection at position idx.

#### gst_sdp_media_get_format

    const gchar*
    gst_sdp_media_get_format (const GstSDPMedia * media,
                              guint idx)

Get the format information at position idx in media.

Parameters:

`media` –

a GstSDPMedia

`idx` –

an index

Returns –

the format at position idx.

#### GstSdp.SDPMedia.prototype.get_format

    function GstSdp.SDPMedia.prototype.get_format(idx: Number): {
        // javascript wrapper for 'gst_sdp_media_get_format'
    }

Get the format information at position idx in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (Number) –

an index

Returns (String) –

the format at position idx.

#### GstSdp.SDPMedia.get_format

    def GstSdp.SDPMedia.get_format (self, idx):
        #python wrapper for 'gst_sdp_media_get_format'

Get the format information at position idx in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (int) –

an index

Returns (str) –

the format at position idx.

#### gst_sdp_media_get_information

    const gchar*
    gst_sdp_media_get_information (const GstSDPMedia * media)

Get the information of media

Parameters:

`media` –

a GstSDPMedia

Returns –

the information of media.

#### GstSdp.SDPMedia.prototype.get_information

    function GstSdp.SDPMedia.prototype.get_information(): {
        // javascript wrapper for 'gst_sdp_media_get_information'
    }

Get the information of media

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (String) –

the information of media.

#### GstSdp.SDPMedia.get_information

    def GstSdp.SDPMedia.get_information (self):
        #python wrapper for 'gst_sdp_media_get_information'

Get the information of media

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (str) –

the information of media.

#### gst_sdp_media_get_key

    const GstSDPKey *
    gst_sdp_media_get_key (const GstSDPMedia * media)

Get the encryption information from media.

Parameters:

`media` –

a GstSDPMedia

Returns –

a GstSDPKey.

#### GstSdp.SDPMedia.prototype.get_key

    function GstSdp.SDPMedia.prototype.get_key(): {
        // javascript wrapper for 'gst_sdp_media_get_key'
    }

Get the encryption information from media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (GstSdp.SDPKey) –

a GstSdp.SDPKey.

#### GstSdp.SDPMedia.get_key

    def GstSdp.SDPMedia.get_key (self):
        #python wrapper for 'gst_sdp_media_get_key'

Get the encryption information from media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (GstSdp.SDPKey) –

a GstSdp.SDPKey.

#### gst_sdp_media_get_media

    const gchar*
    gst_sdp_media_get_media (const GstSDPMedia * media)

Get the media description of media.

Parameters:

`media` –

a GstSDPMedia

Returns –

the media description.

#### GstSdp.SDPMedia.prototype.get_media

    function GstSdp.SDPMedia.prototype.get_media(): {
        // javascript wrapper for 'gst_sdp_media_get_media'
    }

Get the media description of media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (String) –

the media description.

#### GstSdp.SDPMedia.get_media

    def GstSdp.SDPMedia.get_media (self):
        #python wrapper for 'gst_sdp_media_get_media'

Get the media description of media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (str) –

the media description.

#### gst_sdp_media_get_num_ports

    guint
    gst_sdp_media_get_num_ports (const GstSDPMedia * media)

Get the number of ports for media.

Parameters:

`media` –

a GstSDPMedia

Returns –

the number of ports for media.

#### GstSdp.SDPMedia.prototype.get_num_ports

    function GstSdp.SDPMedia.prototype.get_num_ports(): {
        // javascript wrapper for 'gst_sdp_media_get_num_ports'
    }

Get the number of ports for media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (Number) –

the number of ports for media.

#### GstSdp.SDPMedia.get_num_ports

    def GstSdp.SDPMedia.get_num_ports (self):
        #python wrapper for 'gst_sdp_media_get_num_ports'

Get the number of ports for media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (int) –

the number of ports for media.

#### gst_sdp_media_get_port

    guint
    gst_sdp_media_get_port (const GstSDPMedia * media)

Get the port number for media.

Parameters:

`media` –

a GstSDPMedia

Returns –

the port number of media.

#### GstSdp.SDPMedia.prototype.get_port

    function GstSdp.SDPMedia.prototype.get_port(): {
        // javascript wrapper for 'gst_sdp_media_get_port'
    }

Get the port number for media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (Number) –

the port number of media.

#### GstSdp.SDPMedia.get_port

    def GstSdp.SDPMedia.get_port (self):
        #python wrapper for 'gst_sdp_media_get_port'

Get the port number for media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (int) –

the port number of media.

#### gst_sdp_media_get_proto

    const gchar*
    gst_sdp_media_get_proto (const GstSDPMedia * media)

Get the transport protocol of media

Parameters:

`media` –

a GstSDPMedia

Returns –

the transport protocol of media.

#### GstSdp.SDPMedia.prototype.get_proto

    function GstSdp.SDPMedia.prototype.get_proto(): {
        // javascript wrapper for 'gst_sdp_media_get_proto'
    }

Get the transport protocol of media

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (String) –

the transport protocol of media.

#### GstSdp.SDPMedia.get_proto

    def GstSdp.SDPMedia.get_proto (self):
        #python wrapper for 'gst_sdp_media_get_proto'

Get the transport protocol of media

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (str) –

the transport protocol of media.

#### gst_sdp_media_insert_attribute

    GstSDPResult
    gst_sdp_media_insert_attribute (GstSDPMedia * media,
                                    gint idx,
                                    GstSDPAttribute * attr)

Insert the attribute to media at idx. When idx is -1, the attribute is appended.

Parameters:

`media` –

a GstSDPMedia

`idx` –

an index

`attr` –

a GstSDPAttribute

Returns –

GST_SDP_OK.

Since : 1.2

#### GstSdp.SDPMedia.prototype.insert_attribute

    function GstSdp.SDPMedia.prototype.insert_attribute(idx: Number, attr: GstSdp.SDPAttribute): {
        // javascript wrapper for 'gst_sdp_media_insert_attribute'
    }

Insert the attribute to media at idx. When idx is -1, the attribute is appended.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (Number) –

an index

`attr` (GstSdp.SDPAttribute) –

a GstSdp.SDPAttribute

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### GstSdp.SDPMedia.insert_attribute

    def GstSdp.SDPMedia.insert_attribute (self, idx, attr):
        #python wrapper for 'gst_sdp_media_insert_attribute'

Insert the attribute to media at idx. When idx is -1, the attribute is appended.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (int) –

an index

`attr` (GstSdp.SDPAttribute) –

a GstSdp.SDPAttribute

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### gst_sdp_media_insert_bandwidth

    GstSDPResult
    gst_sdp_media_insert_bandwidth (GstSDPMedia * media,
                                    gint idx,
                                    GstSDPBandwidth * bw)

Insert the bandwidth information to media at idx. When idx is -1, the bandwidth is appended.

Parameters:

`media` –

a GstSDPMedia

`idx` –

an index

`bw` –

a GstSDPBandwidth

Returns –

GST_SDP_OK.

Since : 1.2

#### GstSdp.SDPMedia.prototype.insert_bandwidth

    function GstSdp.SDPMedia.prototype.insert_bandwidth(idx: Number, bw: GstSdp.SDPBandwidth): {
        // javascript wrapper for 'gst_sdp_media_insert_bandwidth'
    }

Insert the bandwidth information to media at idx. When idx is -1, the bandwidth is appended.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (Number) –

an index

`bw` (GstSdp.SDPBandwidth) –

a GstSdp.SDPBandwidth

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### GstSdp.SDPMedia.insert_bandwidth

    def GstSdp.SDPMedia.insert_bandwidth (self, idx, bw):
        #python wrapper for 'gst_sdp_media_insert_bandwidth'

Insert the bandwidth information to media at idx. When idx is -1, the bandwidth is appended.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (int) –

an index

`bw` (GstSdp.SDPBandwidth) –

a GstSdp.SDPBandwidth

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### gst_sdp_media_insert_connection

    GstSDPResult
    gst_sdp_media_insert_connection (GstSDPMedia * media,
                                     gint idx,
                                     GstSDPConnection * conn)

Insert the connection information to media at idx. When idx is -1, the connection is appended.

Parameters:

`media` –

a GstSDPMedia

`idx` –

an index

`conn` –

a GstSDPConnection

Returns –

GST_SDP_OK.

Since : 1.2

#### GstSdp.SDPMedia.prototype.insert_connection

    function GstSdp.SDPMedia.prototype.insert_connection(idx: Number, conn: GstSdp.SDPConnection): {
        // javascript wrapper for 'gst_sdp_media_insert_connection'
    }

Insert the connection information to media at idx. When idx is -1, the connection is appended.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (Number) –

an index

`conn` (GstSdp.SDPConnection) –

a GstSdp.SDPConnection

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### GstSdp.SDPMedia.insert_connection

    def GstSdp.SDPMedia.insert_connection (self, idx, conn):
        #python wrapper for 'gst_sdp_media_insert_connection'

Insert the connection information to media at idx. When idx is -1, the connection is appended.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (int) –

an index

`conn` (GstSdp.SDPConnection) –

a GstSdp.SDPConnection

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### gst_sdp_media_insert_format

    GstSDPResult
    gst_sdp_media_insert_format (GstSDPMedia * media,
                                 gint idx,
                                 const gchar* format)

Insert the format information to media at idx. When idx is -1, the format is appended.

Parameters:

`media` –

a GstSDPMedia

`idx` –

an index

`format` –

the format

Returns –

GST_SDP_OK.

Since : 1.2

#### GstSdp.SDPMedia.prototype.insert_format

    function GstSdp.SDPMedia.prototype.insert_format(idx: Number, format: String): {
        // javascript wrapper for 'gst_sdp_media_insert_format'
    }

Insert the format information to media at idx. When idx is -1, the format is appended.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (Number) –

an index

`format` (String) –

the format

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### GstSdp.SDPMedia.insert_format

    def GstSdp.SDPMedia.insert_format (self, idx, format):
        #python wrapper for 'gst_sdp_media_insert_format'

Insert the format information to media at idx. When idx is -1, the format is appended.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (int) –

an index

`format` (str) –

the format

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### gst_sdp_media_parse_keymgmt

    GstSDPResult
    gst_sdp_media_parse_keymgmt (const GstSDPMedia * media,
                                 GstMIKEYMessage ** mikey)

Creates a new GstMIKEYMessage after parsing the key-mgmt attribute from a GstSDPMedia.

Parameters:

`media` –

a GstSDPMedia

`mikey` ( [out][transfer: full]) –

pointer to new GstMIKEYMessage

Returns –

a GstSDPResult.

Since : 1.8.1

#### GstSdp.SDPMedia.prototype.parse_keymgmt

    function GstSdp.SDPMedia.prototype.parse_keymgmt(): {
        // javascript wrapper for 'gst_sdp_media_parse_keymgmt'
    }

Creates a new GstSdp.MIKEYMessage after parsing the key-mgmt attribute from a GstSdp.SDPMedia.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns a tuple made of:

(GstSdp.SDPResult ) –

a GstSdp.SDPResult.

`mikey` (GstSdp.MIKEYMessage ) –

a GstSdp.SDPResult.

Since : 1.8.1

#### GstSdp.SDPMedia.parse_keymgmt

    def GstSdp.SDPMedia.parse_keymgmt (self):
        #python wrapper for 'gst_sdp_media_parse_keymgmt'

Creates a new GstSdp.MIKEYMessage after parsing the key-mgmt attribute from a GstSdp.SDPMedia.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns a tuple made of:

(GstSdp.SDPResult ) –

a GstSdp.SDPResult.

`mikey` (GstSdp.MIKEYMessage ) –

a GstSdp.SDPResult.

Since : 1.8.1

#### gst_sdp_media_remove_attribute

    GstSDPResult
    gst_sdp_media_remove_attribute (GstSDPMedia * media,
                                    guint idx)

Remove the attribute in media at idx.

Parameters:

`media` –

a GstSDPMedia

`idx` –

an index

Returns –

GST_SDP_OK.

Since : 1.2

#### GstSdp.SDPMedia.prototype.remove_attribute

    function GstSdp.SDPMedia.prototype.remove_attribute(idx: Number): {
        // javascript wrapper for 'gst_sdp_media_remove_attribute'
    }

Remove the attribute in media at idx.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (Number) –

an index

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### GstSdp.SDPMedia.remove_attribute

    def GstSdp.SDPMedia.remove_attribute (self, idx):
        #python wrapper for 'gst_sdp_media_remove_attribute'

Remove the attribute in media at idx.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (int) –

an index

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### gst_sdp_media_remove_bandwidth

    GstSDPResult
    gst_sdp_media_remove_bandwidth (GstSDPMedia * media,
                                    guint idx)

Remove the bandwidth information in media at idx.

Parameters:

`media` –

a GstSDPMedia

`idx` –

an index

Returns –

GST_SDP_OK.

Since : 1.2

#### GstSdp.SDPMedia.prototype.remove_bandwidth

    function GstSdp.SDPMedia.prototype.remove_bandwidth(idx: Number): {
        // javascript wrapper for 'gst_sdp_media_remove_bandwidth'
    }

Remove the bandwidth information in media at idx.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (Number) –

an index

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### GstSdp.SDPMedia.remove_bandwidth

    def GstSdp.SDPMedia.remove_bandwidth (self, idx):
        #python wrapper for 'gst_sdp_media_remove_bandwidth'

Remove the bandwidth information in media at idx.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (int) –

an index

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### gst_sdp_media_remove_connection

    GstSDPResult
    gst_sdp_media_remove_connection (GstSDPMedia * media,
                                     guint idx)

Remove the connection information in media at idx.

Parameters:

`media` –

a GstSDPMedia

`idx` –

an index

Returns –

GST_SDP_OK.

Since : 1.2

#### GstSdp.SDPMedia.prototype.remove_connection

    function GstSdp.SDPMedia.prototype.remove_connection(idx: Number): {
        // javascript wrapper for 'gst_sdp_media_remove_connection'
    }

Remove the connection information in media at idx.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (Number) –

an index

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### GstSdp.SDPMedia.remove_connection

    def GstSdp.SDPMedia.remove_connection (self, idx):
        #python wrapper for 'gst_sdp_media_remove_connection'

Remove the connection information in media at idx.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (int) –

an index

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### gst_sdp_media_remove_format

    GstSDPResult
    gst_sdp_media_remove_format (GstSDPMedia * media,
                                 guint idx)

Remove the format information in media at idx.

Parameters:

`media` –

a GstSDPMedia

`idx` –

an index

Returns –

GST_SDP_OK.

Since : 1.2

#### GstSdp.SDPMedia.prototype.remove_format

    function GstSdp.SDPMedia.prototype.remove_format(idx: Number): {
        // javascript wrapper for 'gst_sdp_media_remove_format'
    }

Remove the format information in media at idx.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (Number) –

an index

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### GstSdp.SDPMedia.remove_format

    def GstSdp.SDPMedia.remove_format (self, idx):
        #python wrapper for 'gst_sdp_media_remove_format'

Remove the format information in media at idx.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (int) –

an index

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### gst_sdp_media_replace_attribute

    GstSDPResult
    gst_sdp_media_replace_attribute (GstSDPMedia * media,
                                     guint idx,
                                     GstSDPAttribute * attr)

Replace the attribute in media at idx with attr.

Parameters:

`media` –

a GstSDPMedia

`idx` –

an index

`attr` –

a GstSDPAttribute

Returns –

GST_SDP_OK.

Since : 1.2

#### GstSdp.SDPMedia.prototype.replace_attribute

    function GstSdp.SDPMedia.prototype.replace_attribute(idx: Number, attr: GstSdp.SDPAttribute): {
        // javascript wrapper for 'gst_sdp_media_replace_attribute'
    }

Replace the attribute in media at idx with attr.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (Number) –

an index

`attr` (GstSdp.SDPAttribute) –

a GstSdp.SDPAttribute

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### GstSdp.SDPMedia.replace_attribute

    def GstSdp.SDPMedia.replace_attribute (self, idx, attr):
        #python wrapper for 'gst_sdp_media_replace_attribute'

Replace the attribute in media at idx with attr.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (int) –

an index

`attr` (GstSdp.SDPAttribute) –

a GstSdp.SDPAttribute

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### gst_sdp_media_replace_bandwidth

    GstSDPResult
    gst_sdp_media_replace_bandwidth (GstSDPMedia * media,
                                     guint idx,
                                     GstSDPBandwidth * bw)

Replace the bandwidth information in media at idx with bw.

Parameters:

`media` –

a GstSDPMedia

`idx` –

an index

`bw` –

a GstSDPBandwidth

Returns –

GST_SDP_OK.

Since : 1.2

#### GstSdp.SDPMedia.prototype.replace_bandwidth

    function GstSdp.SDPMedia.prototype.replace_bandwidth(idx: Number, bw: GstSdp.SDPBandwidth): {
        // javascript wrapper for 'gst_sdp_media_replace_bandwidth'
    }

Replace the bandwidth information in media at idx with bw.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (Number) –

an index

`bw` (GstSdp.SDPBandwidth) –

a GstSdp.SDPBandwidth

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### GstSdp.SDPMedia.replace_bandwidth

    def GstSdp.SDPMedia.replace_bandwidth (self, idx, bw):
        #python wrapper for 'gst_sdp_media_replace_bandwidth'

Replace the bandwidth information in media at idx with bw.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (int) –

an index

`bw` (GstSdp.SDPBandwidth) –

a GstSdp.SDPBandwidth

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### gst_sdp_media_replace_connection

    GstSDPResult
    gst_sdp_media_replace_connection (GstSDPMedia * media,
                                      guint idx,
                                      GstSDPConnection * conn)

Replace the connection information in media at idx with conn.

Parameters:

`media` –

a GstSDPMedia

`idx` –

an index

`conn` –

a GstSDPConnection

Returns –

GST_SDP_OK.

Since : 1.2

#### GstSdp.SDPMedia.prototype.replace_connection

    function GstSdp.SDPMedia.prototype.replace_connection(idx: Number, conn: GstSdp.SDPConnection): {
        // javascript wrapper for 'gst_sdp_media_replace_connection'
    }

Replace the connection information in media at idx with conn.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (Number) –

an index

`conn` (GstSdp.SDPConnection) –

a GstSdp.SDPConnection

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### GstSdp.SDPMedia.replace_connection

    def GstSdp.SDPMedia.replace_connection (self, idx, conn):
        #python wrapper for 'gst_sdp_media_replace_connection'

Replace the connection information in media at idx with conn.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (int) –

an index

`conn` (GstSdp.SDPConnection) –

a GstSdp.SDPConnection

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### gst_sdp_media_replace_format

    GstSDPResult
    gst_sdp_media_replace_format (GstSDPMedia * media,
                                  guint idx,
                                  const gchar* format)

Replace the format information in media at idx with format.

Parameters:

`media` –

a GstSDPMedia

`idx` –

an index

`format` –

the format

Returns –

GST_SDP_OK.

Since : 1.2

#### GstSdp.SDPMedia.prototype.replace_format

    function GstSdp.SDPMedia.prototype.replace_format(idx: Number, format: String): {
        // javascript wrapper for 'gst_sdp_media_replace_format'
    }

Replace the format information in media at idx with format.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (Number) –

an index

`format` (String) –

the format

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### GstSdp.SDPMedia.replace_format

    def GstSdp.SDPMedia.replace_format (self, idx, format):
        #python wrapper for 'gst_sdp_media_replace_format'

Replace the format information in media at idx with format.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`idx` (int) –

an index

`format` (str) –

the format

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

Since : 1.2

#### gst_sdp_media_set_information

    GstSDPResult
    gst_sdp_media_set_information (GstSDPMedia * media,
                                   const gchar* information)

Set the media information of media to information.

Parameters:

`media` –

a GstSDPMedia

`information` –

the media information

Returns –

GST_SDP_OK.

#### GstSdp.SDPMedia.prototype.set_information

    function GstSdp.SDPMedia.prototype.set_information(information: String): {
        // javascript wrapper for 'gst_sdp_media_set_information'
    }

Set the media information of media to information.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`information` (String) –

the media information

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

#### GstSdp.SDPMedia.set_information

    def GstSdp.SDPMedia.set_information (self, information):
        #python wrapper for 'gst_sdp_media_set_information'

Set the media information of media to information.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`information` (str) –

the media information

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

#### gst_sdp_media_set_key

    GstSDPResult
    gst_sdp_media_set_key (GstSDPMedia * media,
                           const gchar* type,
                           const gchar* data)

Adds the encryption information to media.

Parameters:

`media` –

a GstSDPMedia

`type` –

the encryption type

`data` –

the encryption data

Returns –

a GstSDPResult.

#### GstSdp.SDPMedia.prototype.set_key

    function GstSdp.SDPMedia.prototype.set_key(type: String, data: String): {
        // javascript wrapper for 'gst_sdp_media_set_key'
    }

Adds the encryption information to media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`type` (String) –

the encryption type

`data` (String) –

the encryption data

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### GstSdp.SDPMedia.set_key

    def GstSdp.SDPMedia.set_key (self, type, data):
        #python wrapper for 'gst_sdp_media_set_key'

Adds the encryption information to media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`type` (str) –

the encryption type

`data` (str) –

the encryption data

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### gst_sdp_media_set_media

    GstSDPResult
    gst_sdp_media_set_media (GstSDPMedia * media,
                             const gchar* med)

Set the media description of media to med.

Parameters:

`media` –

a GstSDPMedia

`med` –

the media description

Returns –

GST_SDP_OK.

#### GstSdp.SDPMedia.prototype.set_media

    function GstSdp.SDPMedia.prototype.set_media(med: String): {
        // javascript wrapper for 'gst_sdp_media_set_media'
    }

Set the media description of media to med.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`med` (String) –

the media description

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

#### GstSdp.SDPMedia.set_media

    def GstSdp.SDPMedia.set_media (self, med):
        #python wrapper for 'gst_sdp_media_set_media'

Set the media description of media to med.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`med` (str) –

the media description

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

#### gst_sdp_media_set_port_info

    GstSDPResult
    gst_sdp_media_set_port_info (GstSDPMedia * media,
                                 guint port,
                                 guint num_ports)

Set the port information in media.

Parameters:

`media` –

a GstSDPMedia

`port` –

the port number

`num_ports` –

the number of ports

Returns –

GST_SDP_OK.

#### GstSdp.SDPMedia.prototype.set_port_info

    function GstSdp.SDPMedia.prototype.set_port_info(port: Number, num_ports: Number): {
        // javascript wrapper for 'gst_sdp_media_set_port_info'
    }

Set the port information in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`port` (Number) –

the port number

`num_ports` (Number) –

the number of ports

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

#### GstSdp.SDPMedia.set_port_info

    def GstSdp.SDPMedia.set_port_info (self, port, num_ports):
        #python wrapper for 'gst_sdp_media_set_port_info'

Set the port information in media.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`port` (int) –

the port number

`num_ports` (int) –

the number of ports

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

#### gst_sdp_media_set_proto

    GstSDPResult
    gst_sdp_media_set_proto (GstSDPMedia * media,
                             const gchar* proto)

Set the media transport protocol of media to proto.

Parameters:

`media` –

a GstSDPMedia

`proto` –

the media transport protocol

Returns –

GST_SDP_OK.

#### GstSdp.SDPMedia.prototype.set_proto

    function GstSdp.SDPMedia.prototype.set_proto(proto: String): {
        // javascript wrapper for 'gst_sdp_media_set_proto'
    }

Set the media transport protocol of media to proto.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`proto` (String) –

the media transport protocol

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

#### GstSdp.SDPMedia.set_proto

    def GstSdp.SDPMedia.set_proto (self, proto):
        #python wrapper for 'gst_sdp_media_set_proto'

Set the media transport protocol of media to proto.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

`proto` (str) –

the media transport protocol

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

#### gst_sdp_media_uninit

    GstSDPResult
    gst_sdp_media_uninit (GstSDPMedia * media)

Free all resources allocated in media. media should not be used anymore after this function. This function should be used when media was allocated on the stack and initialized with gst_sdp_media_init.

Parameters:

`media` –

a GstSDPMedia

Returns –

a GstSDPResult.

#### GstSdp.SDPMedia.prototype.uninit

    function GstSdp.SDPMedia.prototype.uninit(): {
        // javascript wrapper for 'gst_sdp_media_uninit'
    }

Free all resources allocated in media. media should not be used anymore after this function. This function should be used when media was allocated on the stack and initialized with GstSdp.prototype.sdp_media_init.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### GstSdp.SDPMedia.uninit

    def GstSdp.SDPMedia.uninit (self):
        #python wrapper for 'gst_sdp_media_uninit'

Free all resources allocated in media. media should not be used anymore after this function. This function should be used when media was allocated on the stack and initialized with GstSdp.sdp_media_init.

Parameters:

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

### Functions

#### gst_sdp_media_init

    GstSDPResult
    gst_sdp_media_init (GstSDPMedia * media)

Initialize media so that its contents are as if it was freshly allocated with gst_sdp_media_new. This function is mostly used to initialize a media allocated on the stack. gst_sdp_media_uninit undoes this operation.

When this function is invoked on newly allocated data (with malloc or on the stack), its contents should be set to 0 before calling this function.

Parameters:

`media` ( [out]) –

a GstSDPMedia

Returns –

a GstSDPResult.

#### GstSdp.prototype.sdp_media_init

    function GstSdp.prototype.sdp_media_init(): {
        // javascript wrapper for 'gst_sdp_media_init'
    }

Initialize media so that its contents are as if it was freshly allocated with GstSdp.prototype.sdp_media_new. This function is mostly used to initialize a media allocated on the stack. GstSdp.SDPMedia.prototype.uninit undoes this operation.

When this function is invoked on newly allocated data (with malloc or on the stack), its contents should be set to 0 before calling this function.

Returns a tuple made of:

(GstSdp.SDPResult ) –

a GstSdp.SDPResult.

`media` (GstSdp.SDPMedia ) –

a GstSdp.SDPResult.

#### GstSdp.sdp_media_init

    def GstSdp.sdp_media_init ():
        #python wrapper for 'gst_sdp_media_init'

Initialize media so that its contents are as if it was freshly allocated with GstSdp.sdp_media_new. This function is mostly used to initialize a media allocated on the stack. GstSdp.SDPMedia.uninit undoes this operation.

When this function is invoked on newly allocated data (with malloc or on the stack), its contents should be set to 0 before calling this function.

Returns a tuple made of:

(GstSdp.SDPResult ) –

a GstSdp.SDPResult.

`media` (GstSdp.SDPMedia ) –

a GstSdp.SDPResult.

#### gst_sdp_media_new

    GstSDPResult
    gst_sdp_media_new (GstSDPMedia ** media)

Allocate a new GstSDPMedia and store the result in media.

Parameters:

`media` ( [out][transfer: full]) –

pointer to new GstSDPMedia

Returns –

a GstSDPResult.

#### GstSdp.prototype.sdp_media_new

    function GstSdp.prototype.sdp_media_new(): {
        // javascript wrapper for 'gst_sdp_media_new'
    }

Allocate a new GstSDPMedia and store the result in media.

Returns a tuple made of:

(GstSdp.SDPResult ) –

a GstSdp.SDPResult.

`media` (GstSdp.SDPMedia ) –

a GstSdp.SDPResult.

#### GstSdp.sdp_media_new

    def GstSdp.sdp_media_new ():
        #python wrapper for 'gst_sdp_media_new'

Allocate a new GstSDPMedia and store the result in media.

Returns a tuple made of:

(GstSdp.SDPResult ) –

a GstSdp.SDPResult.

`media` (GstSdp.SDPMedia ) –

a GstSdp.SDPResult.

#### gst_sdp_media_set_media_from_caps

    GstSDPResult
    gst_sdp_media_set_media_from_caps (const GstCaps * caps,
                                       GstSDPMedia * media)

Mapping of caps to SDP fields:

a=rtpmap:(payload) (encoding_name) or (clock_rate)[or (encoding_params)]

a=framesize:(payload) (width)-(height)

a=fmtp:(payload) (param)[=(value)];...

a=rtcp-fb:(payload) (param1) [param2]...

a=extmap:(id)[/direction] (extensionname) (extensionattributes)

Parameters:

`caps` –

a GstCaps

`media` ( [out]) –

a GstSDPMedia

Returns –

a GstSDPResult.

Since : 1.8

#### GstSdp.prototype.sdp_media_set_media_from_caps

    function GstSdp.prototype.sdp_media_set_media_from_caps(caps: Gst.Caps): {
        // javascript wrapper for 'gst_sdp_media_set_media_from_caps'
    }

Mapping of caps to SDP fields:

a=rtpmap:(payload) (encoding_name) or (clock_rate)[or (encoding_params)]

a=framesize:(payload) (width)-(height)

a=fmtp:(payload) (param)[=(value)];...

a=rtcp-fb:(payload) (param1) [param2]...

a=extmap:(id)[/direction] (extensionname) (extensionattributes)

Parameters:

`caps` (Gst.Caps) –

a Gst.Caps

Returns a tuple made of:

(GstSdp.SDPResult ) –

a GstSdp.SDPResult.

`media` (GstSdp.SDPMedia ) –

a GstSdp.SDPResult.

Since : 1.8

#### GstSdp.sdp_media_set_media_from_caps

    def GstSdp.sdp_media_set_media_from_caps (caps):
        #python wrapper for 'gst_sdp_media_set_media_from_caps'

Mapping of caps to SDP fields:

a=rtpmap:(payload) (encoding_name) or (clock_rate)[or (encoding_params)]

a=framesize:(payload) (width)-(height)

a=fmtp:(payload) (param)[=(value)];...

a=rtcp-fb:(payload) (param1) [param2]...

a=extmap:(id)[/direction] (extensionname) (extensionattributes)

Parameters:

`caps` (Gst.Caps) –

a Gst.Caps

Returns a tuple made of:

(GstSdp.SDPResult ) –

a GstSdp.SDPResult.

`media` (GstSdp.SDPMedia ) –

a GstSdp.SDPResult.

Since : 1.8

## GstSDPMessage

The contents of the SDP message.

### Members

`version` (gchar*) –

the protocol version

`origin` (GstSDPOrigin) –

owner/creator and session identifier

`session_name` (gchar*) –

session name

`information` (gchar*) –

session information

`uri` (gchar*) –

URI of description

`emails` (GArray *) –

array of gchar with email addresses

`phones` (GArray *) –

array of gchar with phone numbers

`connection` (GstSDPConnection) –

connection information for the session

`bandwidths` (GArray *) –

array of GstSDPBandwidth with bandwidth information

`times` (GArray *) –

array of GstSDPTime with time descriptions

`zones` (GArray *) –

array of GstSDPZone with time zone adjustments

`key` (GstSDPKey) –

encryption key

`attributes` (GArray *) –

array of GstSDPAttribute with session attributes

`medias` (GArray *) –

array of GstSDPMedia with media descriptions

## GstSdp.SDPMessage

The contents of the SDP message.

### Members

`version` (String) –

the protocol version

`origin` (GstSdp.SDPOrigin) –

owner/creator and session identifier

`session_name` (String) –

session name

`information` (String) –

session information

`uri` (String) –

URI of description

`emails` ([ Object ]) –

array of gchar with email addresses

`phones` ([ Object ]) –

array of gchar with phone numbers

`connection` (GstSdp.SDPConnection) –

connection information for the session

`bandwidths` ([ Object ]) –

array of GstSdp.SDPBandwidth with bandwidth information

`times` ([ Object ]) –

array of GstSdp.SDPTime with time descriptions

`zones` ([ Object ]) –

array of GstSdp.SDPZone with time zone adjustments

`key` (GstSdp.SDPKey) –

encryption key

`attributes` ([ Object ]) –

array of GstSdp.SDPAttribute with session attributes

`medias` ([ Object ]) –

array of GstSdp.SDPMedia with media descriptions

## GstSdp.SDPMessage

The contents of the SDP message.

### Members

`version` (str) –

the protocol version

`origin` (GstSdp.SDPOrigin) –

owner/creator and session identifier

`session_name` (str) –

session name

`information` (str) –

session information

`uri` (str) –

URI of description

`emails` ([ object ]) –

array of gchar with email addresses

`phones` ([ object ]) –

array of gchar with phone numbers

`connection` (GstSdp.SDPConnection) –

connection information for the session

`bandwidths` ([ object ]) –

array of GstSdp.SDPBandwidth with bandwidth information

`times` ([ object ]) –

array of GstSdp.SDPTime with time descriptions

`zones` ([ object ]) –

array of GstSdp.SDPZone with time zone adjustments

`key` (GstSdp.SDPKey) –

encryption key

`attributes` ([ object ]) –

array of GstSdp.SDPAttribute with session attributes

`medias` ([ object ]) –

array of GstSdp.SDPMedia with media descriptions

### Methods

#### gst_sdp_message_add_attribute

    GstSDPResult
    gst_sdp_message_add_attribute (GstSDPMessage * msg,
                                   const gchar* key,
                                   const gchar* value)

Add the attribute with key and value to msg.

Parameters:

`msg` –

a GstSDPMessage

`key` –

the key

`value` ( [nullable]) –

the value

Returns –

GST_SDP_OK.

#### GstSdp.SDPMessage.prototype.add_attribute

    function GstSdp.SDPMessage.prototype.add_attribute(key: String, value: String): {
        // javascript wrapper for 'gst_sdp_message_add_attribute'
    }

Add the attribute with key and value to msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`key` (String) –

the key

`value` (String) –

the value

Returns (GstSdp.SDPResult) –

GST_SDP_OK.

#### GstSdp.SDPMessage.add_attribute

    def GstSdp.SDPMessage.add_attribute (self, key, value):
        #python wrapper for 'gst_sdp_message_add_attribute'

Add the attribute with key and value to msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`key` (str) –

the key

`value` (str) –

the value

Returns (GstSdp.SDPResult) –

GST_SDP_OK.

#### gst_sdp_message_add_bandwidth

    GstSDPResult
    gst_sdp_message_add_bandwidth (GstSDPMessage * msg,
                                   const gchar* bwtype,
                                   guint bandwidth)

Add the specified bandwidth information to msg.

Parameters:

`msg` –

a GstSDPMessage

`bwtype` –

the bandwidth modifier type

`bandwidth` –

the bandwidth in kilobits per second

Returns –

a GstSDPResult.

#### GstSdp.SDPMessage.prototype.add_bandwidth

    function GstSdp.SDPMessage.prototype.add_bandwidth(bwtype: String, bandwidth: Number): {
        // javascript wrapper for 'gst_sdp_message_add_bandwidth'
    }

Add the specified bandwidth information to msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`bwtype` (String) –

the bandwidth modifier type

`bandwidth` (Number) –

the bandwidth in kilobits per second

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### GstSdp.SDPMessage.add_bandwidth

    def GstSdp.SDPMessage.add_bandwidth (self, bwtype, bandwidth):
        #python wrapper for 'gst_sdp_message_add_bandwidth'

Add the specified bandwidth information to msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`bwtype` (str) –

the bandwidth modifier type

`bandwidth` (int) –

the bandwidth in kilobits per second

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### gst_sdp_message_add_email

    GstSDPResult
    gst_sdp_message_add_email (GstSDPMessage * msg,
                               const gchar* email)

Add email to the list of emails in msg.

Parameters:

`msg` –

a GstSDPMessage

`email` –

an email

Returns –

a GstSDPResult.

#### GstSdp.SDPMessage.prototype.add_email

    function GstSdp.SDPMessage.prototype.add_email(email: String): {
        // javascript wrapper for 'gst_sdp_message_add_email'
    }

Add email to the list of emails in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`email` (String) –

an email

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### GstSdp.SDPMessage.add_email

    def GstSdp.SDPMessage.add_email (self, email):
        #python wrapper for 'gst_sdp_message_add_email'

Add email to the list of emails in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`email` (str) –

an email

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### gst_sdp_message_add_media

    GstSDPResult
    gst_sdp_message_add_media (GstSDPMessage * msg,
                               GstSDPMedia * media)

Adds media to the array of medias in msg. This function takes ownership of the contents of media so that media will have to be reinitialized with gst_sdp_media_init before it can be used again.

Parameters:

`msg` –

a GstSDPMessage

`media` –

a GstSDPMedia to add

Returns –

a GstSDPResult.

#### GstSdp.SDPMessage.prototype.add_media

    function GstSdp.SDPMessage.prototype.add_media(media: GstSdp.SDPMedia): {
        // javascript wrapper for 'gst_sdp_message_add_media'
    }

Adds media to the array of medias in msg. This function takes ownership of the contents of media so that media will have to be reinitialized with GstSdp.prototype.sdp_media_init before it can be used again.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia to add

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### GstSdp.SDPMessage.add_media

    def GstSdp.SDPMessage.add_media (self, media):
        #python wrapper for 'gst_sdp_message_add_media'

Adds media to the array of medias in msg. This function takes ownership of the contents of media so that media will have to be reinitialized with GstSdp.sdp_media_init before it can be used again.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`media` (GstSdp.SDPMedia) –

a GstSdp.SDPMedia to add

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### gst_sdp_message_add_phone

    GstSDPResult
    gst_sdp_message_add_phone (GstSDPMessage * msg,
                               const gchar* phone)

Add phone to the list of phones in msg.

Parameters:

`msg` –

a GstSDPMessage

`phone` –

a phone

Returns –

a GstSDPResult.

#### GstSdp.SDPMessage.prototype.add_phone

    function GstSdp.SDPMessage.prototype.add_phone(phone: String): {
        // javascript wrapper for 'gst_sdp_message_add_phone'
    }

Add phone to the list of phones in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`phone` (String) –

a phone

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### GstSdp.SDPMessage.add_phone

    def GstSdp.SDPMessage.add_phone (self, phone):
        #python wrapper for 'gst_sdp_message_add_phone'

Add phone to the list of phones in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`phone` (str) –

a phone

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### gst_sdp_message_add_time

    GstSDPResult
    gst_sdp_message_add_time (GstSDPMessage * msg,
                              const gchar* start,
                              const gchar* stop,
                              const gchar** repeat)

Add time information start and stop to msg.

Parameters:

`msg` –

a GstSDPMessage

`start` –

the start time

`stop` –

the stop time

`repeat` ( [arrayzero-terminated=1]) –

the repeat times

Returns –

a GstSDPResult.

#### GstSdp.SDPMessage.prototype.add_time

    function GstSdp.SDPMessage.prototype.add_time(start: String, stop: String, repeat: [ String ]): {
        // javascript wrapper for 'gst_sdp_message_add_time'
    }

Add time information start and stop to msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`start` (String) –

the start time

`stop` (String) –

the stop time

`repeat` ([ String ]) –

the repeat times

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### GstSdp.SDPMessage.add_time

    def GstSdp.SDPMessage.add_time (self, start, stop, repeat):
        #python wrapper for 'gst_sdp_message_add_time'

Add time information start and stop to msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`start` (str) –

the start time

`stop` (str) –

the stop time

`repeat` ([ str ]) –

the repeat times

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### gst_sdp_message_add_zone

    GstSDPResult
    gst_sdp_message_add_zone (GstSDPMessage * msg,
                              const gchar* adj_time,
                              const gchar* typed_time)

Add time zone information to msg.

Parameters:

`msg` –

a GstSDPMessage

`adj_time` –

the NTP time that a time zone adjustment happens

`typed_time` –

the offset from the time when the session was first scheduled

Returns –

a GstSDPResult.

#### GstSdp.SDPMessage.prototype.add_zone

    function GstSdp.SDPMessage.prototype.add_zone(adj_time: String, typed_time: String): {
        // javascript wrapper for 'gst_sdp_message_add_zone'
    }

Add time zone information to msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`adj_time` (String) –

the NTP time that a time zone adjustment happens

`typed_time` (String) –

the offset from the time when the session was first scheduled

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### GstSdp.SDPMessage.add_zone

    def GstSdp.SDPMessage.add_zone (self, adj_time, typed_time):
        #python wrapper for 'gst_sdp_message_add_zone'

Add time zone information to msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`adj_time` (str) –

the NTP time that a time zone adjustment happens

`typed_time` (str) –

the offset from the time when the session was first scheduled

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### gst_sdp_message_as_text

    gchar*
    gst_sdp_message_as_text (const GstSDPMessage * msg)

Convert the contents of msg to a text string.

Parameters:

`msg` –

a GstSDPMessage

Returns ( [transfer: full]) –

A dynamically allocated string representing the SDP description.

#### GstSdp.SDPMessage.prototype.as_text

    function GstSdp.SDPMessage.prototype.as_text(): {
        // javascript wrapper for 'gst_sdp_message_as_text'
    }

Convert the contents of msg to a text string.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (String) –

A dynamically allocated string representing the SDP description.

#### GstSdp.SDPMessage.as_text

    def GstSdp.SDPMessage.as_text (self):
        #python wrapper for 'gst_sdp_message_as_text'

Convert the contents of msg to a text string.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (str) –

A dynamically allocated string representing the SDP description.

#### gst_sdp_message_attributes_len

    guint
    gst_sdp_message_attributes_len (const GstSDPMessage * msg)

Get the number of attributes in msg.

Parameters:

`msg` –

a GstSDPMessage

Returns –

the number of attributes in msg.

#### GstSdp.SDPMessage.prototype.attributes_len

    function GstSdp.SDPMessage.prototype.attributes_len(): {
        // javascript wrapper for 'gst_sdp_message_attributes_len'
    }

Get the number of attributes in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (Number) –

the number of attributes in msg.

#### GstSdp.SDPMessage.attributes_len

    def GstSdp.SDPMessage.attributes_len (self):
        #python wrapper for 'gst_sdp_message_attributes_len'

Get the number of attributes in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (int) –

the number of attributes in msg.

#### gst_sdp_message_attributes_to_caps

    GstSDPResult
    gst_sdp_message_attributes_to_caps (const GstSDPMessage * msg,
                                        GstCaps * caps)

Mapping of attributes of GstSDPMessage to GstCaps

Parameters:

`msg` –

a GstSDPMessage

`caps` –

a GstCaps

Returns –

a GstSDPResult.

Since : 1.8

#### GstSdp.SDPMessage.prototype.attributes_to_caps

    function GstSdp.SDPMessage.prototype.attributes_to_caps(caps: Gst.Caps): {
        // javascript wrapper for 'gst_sdp_message_attributes_to_caps'
    }

Mapping of attributes of GstSdp.SDPMessage to Gst.Caps

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`caps` (Gst.Caps) –

a Gst.Caps

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.8

#### GstSdp.SDPMessage.attributes_to_caps

    def GstSdp.SDPMessage.attributes_to_caps (self, caps):
        #python wrapper for 'gst_sdp_message_attributes_to_caps'

Mapping of attributes of GstSdp.SDPMessage to Gst.Caps

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`caps` (Gst.Caps) –

a Gst.Caps

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.8

#### gst_sdp_message_bandwidths_len

    guint
    gst_sdp_message_bandwidths_len (const GstSDPMessage * msg)

Get the number of bandwidth information in msg.

Parameters:

`msg` –

a GstSDPMessage

Returns –

the number of bandwidth information in msg.

#### GstSdp.SDPMessage.prototype.bandwidths_len

    function GstSdp.SDPMessage.prototype.bandwidths_len(): {
        // javascript wrapper for 'gst_sdp_message_bandwidths_len'
    }

Get the number of bandwidth information in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (Number) –

the number of bandwidth information in msg.

#### GstSdp.SDPMessage.bandwidths_len

    def GstSdp.SDPMessage.bandwidths_len (self):
        #python wrapper for 'gst_sdp_message_bandwidths_len'

Get the number of bandwidth information in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (int) –

the number of bandwidth information in msg.

#### gst_sdp_message_copy

    GstSDPResult
    gst_sdp_message_copy (const GstSDPMessage * msg,
                          GstSDPMessage ** copy)

Allocate a new copy of msg and store the result in copy. The value in copy should be release with gst_sdp_message_free function.

Parameters:

`msg` –

a GstSDPMessage

`copy` ( [out][transfer: full]) –

pointer to new GstSDPMessage

Returns –

a GstSDPResult

Since : 1.2

#### GstSdp.SDPMessage.prototype.copy

    function GstSdp.SDPMessage.prototype.copy(): {
        // javascript wrapper for 'gst_sdp_message_copy'
    }

Allocate a new copy of msg and store the result in copy. The value in copy should be release with gst_sdp_message_free function.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns a tuple made of:

(GstSdp.SDPResult ) –

a GstSdp.SDPResult

`copy` (GstSdp.SDPMessage ) –

a GstSdp.SDPResult

Since : 1.2

#### GstSdp.SDPMessage.copy

    def GstSdp.SDPMessage.copy (self):
        #python wrapper for 'gst_sdp_message_copy'

Allocate a new copy of msg and store the result in copy. The value in copy should be release with gst_sdp_message_free function.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns a tuple made of:

(GstSdp.SDPResult ) –

a GstSdp.SDPResult

`copy` (GstSdp.SDPMessage ) –

a GstSdp.SDPResult

Since : 1.2

#### gst_sdp_message_dump

    GstSDPResult
    gst_sdp_message_dump (const GstSDPMessage * msg)

Dump the parsed contents of msg to stdout.

Parameters:

`msg` –

a GstSDPMessage

Returns –

a GstSDPResult.

#### GstSdp.SDPMessage.prototype.dump

    function GstSdp.SDPMessage.prototype.dump(): {
        // javascript wrapper for 'gst_sdp_message_dump'
    }

Dump the parsed contents of msg to stdout.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### GstSdp.SDPMessage.dump

    def GstSdp.SDPMessage.dump (self):
        #python wrapper for 'gst_sdp_message_dump'

Dump the parsed contents of msg to stdout.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### gst_sdp_message_emails_len

    guint
    gst_sdp_message_emails_len (const GstSDPMessage * msg)

Get the number of emails in msg.

Parameters:

`msg` –

a GstSDPMessage

Returns –

the number of emails in msg.

#### GstSdp.SDPMessage.prototype.emails_len

    function GstSdp.SDPMessage.prototype.emails_len(): {
        // javascript wrapper for 'gst_sdp_message_emails_len'
    }

Get the number of emails in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (Number) –

the number of emails in msg.

#### GstSdp.SDPMessage.emails_len

    def GstSdp.SDPMessage.emails_len (self):
        #python wrapper for 'gst_sdp_message_emails_len'

Get the number of emails in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (int) –

the number of emails in msg.

#### gst_sdp_message_free

    GstSDPResult
    gst_sdp_message_free (GstSDPMessage * msg)

Free all resources allocated by msg. msg should not be used anymore after this function. This function should be used when msg was dynamically allocated with gst_sdp_message_new.

Parameters:

`msg` –

a GstSDPMessage

Returns –

a GstSDPResult.

#### GstSdp.SDPMessage.prototype.free

    function GstSdp.SDPMessage.prototype.free(): {
        // javascript wrapper for 'gst_sdp_message_free'
    }

Free all resources allocated by msg. msg should not be used anymore after this function. This function should be used when msg was dynamically allocated with GstSdp.prototype.sdp_message_new.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### GstSdp.SDPMessage.free

    def GstSdp.SDPMessage.free (self):
        #python wrapper for 'gst_sdp_message_free'

Free all resources allocated by msg. msg should not be used anymore after this function. This function should be used when msg was dynamically allocated with GstSdp.sdp_message_new.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### gst_sdp_message_get_attribute

    const GstSDPAttribute *
    gst_sdp_message_get_attribute (const GstSDPMessage * msg,
                                   guint idx)

Get the attribute at position idx in msg.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

the index

Returns –

the GstSDPAttribute at position idx.

#### GstSdp.SDPMessage.prototype.get_attribute

    function GstSdp.SDPMessage.prototype.get_attribute(idx: Number): {
        // javascript wrapper for 'gst_sdp_message_get_attribute'
    }

Get the attribute at position idx in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

the index

Returns (GstSdp.SDPAttribute) –

the GstSdp.SDPAttribute at position idx.

#### GstSdp.SDPMessage.get_attribute

    def GstSdp.SDPMessage.get_attribute (self, idx):
        #python wrapper for 'gst_sdp_message_get_attribute'

Get the attribute at position idx in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

the index

Returns (GstSdp.SDPAttribute) –

the GstSdp.SDPAttribute at position idx.

#### gst_sdp_message_get_attribute_val

    const gchar*
    gst_sdp_message_get_attribute_val (const GstSDPMessage * msg,
                                       const gchar* key)

Get the first attribute with key key in msg.

Parameters:

`msg` –

a GstSDPMessage

`key` –

the key

Returns ( [nullable]) –

the attribute value of the first attribute with key.

#### GstSdp.SDPMessage.prototype.get_attribute_val

    function GstSdp.SDPMessage.prototype.get_attribute_val(key: String): {
        // javascript wrapper for 'gst_sdp_message_get_attribute_val'
    }

Get the first attribute with key key in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`key` (String) –

the key

Returns (String) –

the attribute value of the first attribute with key.

#### GstSdp.SDPMessage.get_attribute_val

    def GstSdp.SDPMessage.get_attribute_val (self, key):
        #python wrapper for 'gst_sdp_message_get_attribute_val'

Get the first attribute with key key in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`key` (str) –

the key

Returns (str) –

the attribute value of the first attribute with key.

#### gst_sdp_message_get_attribute_val_n

    const gchar*
    gst_sdp_message_get_attribute_val_n (const GstSDPMessage * msg,
                                         const gchar* key,
                                         guint nth)

Get the nth attribute with key key in msg.

Parameters:

`msg` –

a GstSDPMessage

`key` –

the key

`nth` –

the index

Returns ( [nullable]) –

the attribute value of the nth attribute with key.

#### GstSdp.SDPMessage.prototype.get_attribute_val_n

    function GstSdp.SDPMessage.prototype.get_attribute_val_n(key: String, nth: Number): {
        // javascript wrapper for 'gst_sdp_message_get_attribute_val_n'
    }

Get the nth attribute with key key in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`key` (String) –

the key

`nth` (Number) –

the index

Returns (String) –

the attribute value of the nth attribute with key.

#### GstSdp.SDPMessage.get_attribute_val_n

    def GstSdp.SDPMessage.get_attribute_val_n (self, key, nth):
        #python wrapper for 'gst_sdp_message_get_attribute_val_n'

Get the nth attribute with key key in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`key` (str) –

the key

`nth` (int) –

the index

Returns (str) –

the attribute value of the nth attribute with key.

#### gst_sdp_message_get_bandwidth

    const GstSDPBandwidth *
    gst_sdp_message_get_bandwidth (const GstSDPMessage * msg,
                                   guint idx)

Get the bandwidth at index idx from msg.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

the bandwidth index

Returns –

a GstSDPBandwidth.

#### GstSdp.SDPMessage.prototype.get_bandwidth

    function GstSdp.SDPMessage.prototype.get_bandwidth(idx: Number): {
        // javascript wrapper for 'gst_sdp_message_get_bandwidth'
    }

Get the bandwidth at index idx from msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

the bandwidth index

Returns (GstSdp.SDPBandwidth) –

a GstSdp.SDPBandwidth.

#### GstSdp.SDPMessage.get_bandwidth

    def GstSdp.SDPMessage.get_bandwidth (self, idx):
        #python wrapper for 'gst_sdp_message_get_bandwidth'

Get the bandwidth at index idx from msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

the bandwidth index

Returns (GstSdp.SDPBandwidth) –

a GstSdp.SDPBandwidth.

#### gst_sdp_message_get_connection

    const GstSDPConnection *
    gst_sdp_message_get_connection (const GstSDPMessage * msg)

Get the connection of msg.

Parameters:

`msg` –

a GstSDPMessage

Returns –

a GstSDPConnection. The result remains valid as long as msg is valid.

#### GstSdp.SDPMessage.prototype.get_connection

    function GstSdp.SDPMessage.prototype.get_connection(): {
        // javascript wrapper for 'gst_sdp_message_get_connection'
    }

Get the connection of msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (GstSdp.SDPConnection) –

a GstSdp.SDPConnection. The result remains valid as long as msg is valid.

#### GstSdp.SDPMessage.get_connection

    def GstSdp.SDPMessage.get_connection (self):
        #python wrapper for 'gst_sdp_message_get_connection'

Get the connection of msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (GstSdp.SDPConnection) –

a GstSdp.SDPConnection. The result remains valid as long as msg is valid.

#### gst_sdp_message_get_email

    const gchar*
    gst_sdp_message_get_email (const GstSDPMessage * msg,
                               guint idx)

Get the email with number idx from msg.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

an email index

Returns –

the email at position idx.

#### GstSdp.SDPMessage.prototype.get_email

    function GstSdp.SDPMessage.prototype.get_email(idx: Number): {
        // javascript wrapper for 'gst_sdp_message_get_email'
    }

Get the email with number idx from msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

an email index

Returns (String) –

the email at position idx.

#### GstSdp.SDPMessage.get_email

    def GstSdp.SDPMessage.get_email (self, idx):
        #python wrapper for 'gst_sdp_message_get_email'

Get the email with number idx from msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

an email index

Returns (str) –

the email at position idx.

#### gst_sdp_message_get_information

    const gchar*
    gst_sdp_message_get_information (const GstSDPMessage * msg)

Get the information in msg.

Parameters:

`msg` –

a GstSDPMessage

Returns –

a GstSDPResult.

#### GstSdp.SDPMessage.prototype.get_information

    function GstSdp.SDPMessage.prototype.get_information(): {
        // javascript wrapper for 'gst_sdp_message_get_information'
    }

Get the information in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (String) –

a GstSdp.SDPResult.

#### GstSdp.SDPMessage.get_information

    def GstSdp.SDPMessage.get_information (self):
        #python wrapper for 'gst_sdp_message_get_information'

Get the information in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (str) –

a GstSdp.SDPResult.

#### gst_sdp_message_get_key

    const GstSDPKey *
    gst_sdp_message_get_key (const GstSDPMessage * msg)

Get the encryption information from msg.

Parameters:

`msg` –

a GstSDPMessage

Returns –

a GstSDPKey.

#### GstSdp.SDPMessage.prototype.get_key

    function GstSdp.SDPMessage.prototype.get_key(): {
        // javascript wrapper for 'gst_sdp_message_get_key'
    }

Get the encryption information from msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (GstSdp.SDPKey) –

a GstSdp.SDPKey.

#### GstSdp.SDPMessage.get_key

    def GstSdp.SDPMessage.get_key (self):
        #python wrapper for 'gst_sdp_message_get_key'

Get the encryption information from msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (GstSdp.SDPKey) –

a GstSdp.SDPKey.

#### gst_sdp_message_get_media

    const GstSDPMedia *
    gst_sdp_message_get_media (const GstSDPMessage * msg,
                               guint idx)

Get the media description at index idx in msg.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

the index

Returns –

a GstSDPMedia.

#### GstSdp.SDPMessage.prototype.get_media

    function GstSdp.SDPMessage.prototype.get_media(idx: Number): {
        // javascript wrapper for 'gst_sdp_message_get_media'
    }

Get the media description at index idx in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

the index

Returns (GstSdp.SDPMedia) –

a GstSdp.SDPMedia.

#### GstSdp.SDPMessage.get_media

    def GstSdp.SDPMessage.get_media (self, idx):
        #python wrapper for 'gst_sdp_message_get_media'

Get the media description at index idx in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

the index

Returns (GstSdp.SDPMedia) –

a GstSdp.SDPMedia.

#### gst_sdp_message_get_origin

    const GstSDPOrigin *
    gst_sdp_message_get_origin (const GstSDPMessage * msg)

Get the origin of msg.

Parameters:

`msg` –

a GstSDPMessage

Returns –

a GstSDPOrigin. The result remains valid as long as msg is valid.

#### GstSdp.SDPMessage.prototype.get_origin

    function GstSdp.SDPMessage.prototype.get_origin(): {
        // javascript wrapper for 'gst_sdp_message_get_origin'
    }

Get the origin of msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (GstSdp.SDPOrigin) –

a GstSdp.SDPOrigin. The result remains valid as long as msg is valid.

#### GstSdp.SDPMessage.get_origin

    def GstSdp.SDPMessage.get_origin (self):
        #python wrapper for 'gst_sdp_message_get_origin'

Get the origin of msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (GstSdp.SDPOrigin) –

a GstSdp.SDPOrigin. The result remains valid as long as msg is valid.

#### gst_sdp_message_get_phone

    const gchar*
    gst_sdp_message_get_phone (const GstSDPMessage * msg,
                               guint idx)

Get the phone with number idx from msg.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

a phone index

Returns –

the phone at position idx.

#### GstSdp.SDPMessage.prototype.get_phone

    function GstSdp.SDPMessage.prototype.get_phone(idx: Number): {
        // javascript wrapper for 'gst_sdp_message_get_phone'
    }

Get the phone with number idx from msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

a phone index

Returns (String) –

the phone at position idx.

#### GstSdp.SDPMessage.get_phone

    def GstSdp.SDPMessage.get_phone (self, idx):
        #python wrapper for 'gst_sdp_message_get_phone'

Get the phone with number idx from msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

a phone index

Returns (str) –

the phone at position idx.

#### gst_sdp_message_get_session_name

    const gchar*
    gst_sdp_message_get_session_name (const GstSDPMessage * msg)

Get the session name in msg.

Parameters:

`msg` –

a GstSDPMessage

Returns –

a GstSDPResult.

#### GstSdp.SDPMessage.prototype.get_session_name

    function GstSdp.SDPMessage.prototype.get_session_name(): {
        // javascript wrapper for 'gst_sdp_message_get_session_name'
    }

Get the session name in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (String) –

a GstSdp.SDPResult.

#### GstSdp.SDPMessage.get_session_name

    def GstSdp.SDPMessage.get_session_name (self):
        #python wrapper for 'gst_sdp_message_get_session_name'

Get the session name in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (str) –

a GstSdp.SDPResult.

#### gst_sdp_message_get_time

    const GstSDPTime *
    gst_sdp_message_get_time (const GstSDPMessage * msg,
                              guint idx)

Get time information with index idx from msg.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

the time index

Returns –

a GstSDPTime.

#### GstSdp.SDPMessage.prototype.get_time

    function GstSdp.SDPMessage.prototype.get_time(idx: Number): {
        // javascript wrapper for 'gst_sdp_message_get_time'
    }

Get time information with index idx from msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

the time index

Returns (GstSdp.SDPTime) –

a GstSdp.SDPTime.

#### GstSdp.SDPMessage.get_time

    def GstSdp.SDPMessage.get_time (self, idx):
        #python wrapper for 'gst_sdp_message_get_time'

Get time information with index idx from msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

the time index

Returns (GstSdp.SDPTime) –

a GstSdp.SDPTime.

#### gst_sdp_message_get_uri

    const gchar*
    gst_sdp_message_get_uri (const GstSDPMessage * msg)

Get the URI in msg.

Parameters:

`msg` –

a GstSDPMessage

Returns –

a GstSDPResult.

#### GstSdp.SDPMessage.prototype.get_uri

    function GstSdp.SDPMessage.prototype.get_uri(): {
        // javascript wrapper for 'gst_sdp_message_get_uri'
    }

Get the URI in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (String) –

a GstSdp.SDPResult.

#### GstSdp.SDPMessage.get_uri

    def GstSdp.SDPMessage.get_uri (self):
        #python wrapper for 'gst_sdp_message_get_uri'

Get the URI in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (str) –

a GstSdp.SDPResult.

#### gst_sdp_message_get_version

    const gchar*
    gst_sdp_message_get_version (const GstSDPMessage * msg)

Get the version in msg.

Parameters:

`msg` –

a GstSDPMessage

Returns –

a GstSDPResult.

#### GstSdp.SDPMessage.prototype.get_version

    function GstSdp.SDPMessage.prototype.get_version(): {
        // javascript wrapper for 'gst_sdp_message_get_version'
    }

Get the version in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (String) –

a GstSdp.SDPResult.

#### GstSdp.SDPMessage.get_version

    def GstSdp.SDPMessage.get_version (self):
        #python wrapper for 'gst_sdp_message_get_version'

Get the version in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (str) –

a GstSdp.SDPResult.

#### gst_sdp_message_get_zone

    const GstSDPZone *
    gst_sdp_message_get_zone (const GstSDPMessage * msg,
                              guint idx)

Get time zone information with index idx from msg.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

the zone index

Returns –

a GstSDPZone.

#### GstSdp.SDPMessage.prototype.get_zone

    function GstSdp.SDPMessage.prototype.get_zone(idx: Number): {
        // javascript wrapper for 'gst_sdp_message_get_zone'
    }

Get time zone information with index idx from msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

the zone index

Returns (GstSdp.SDPZone) –

a GstSdp.SDPZone.

#### GstSdp.SDPMessage.get_zone

    def GstSdp.SDPMessage.get_zone (self, idx):
        #python wrapper for 'gst_sdp_message_get_zone'

Get time zone information with index idx from msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

the zone index

Returns (GstSdp.SDPZone) –

a GstSdp.SDPZone.

#### gst_sdp_message_insert_attribute

    GstSDPResult
    gst_sdp_message_insert_attribute (GstSDPMessage * msg,
                                      gint idx,
                                      GstSDPAttribute * attr)

Insert attribute into the array of attributes in msg at index idx. When -1 is given as idx, the attribute is inserted at the end.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

an index

`attr` –

a GstSDPAttribute

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPMessage.prototype.insert_attribute

    function GstSdp.SDPMessage.prototype.insert_attribute(idx: Number, attr: GstSdp.SDPAttribute): {
        // javascript wrapper for 'gst_sdp_message_insert_attribute'
    }

Insert attribute into the array of attributes in msg at index idx. When -1 is given as idx, the attribute is inserted at the end.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

an index

`attr` (GstSdp.SDPAttribute) –

a GstSdp.SDPAttribute

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPMessage.insert_attribute

    def GstSdp.SDPMessage.insert_attribute (self, idx, attr):
        #python wrapper for 'gst_sdp_message_insert_attribute'

Insert attribute into the array of attributes in msg at index idx. When -1 is given as idx, the attribute is inserted at the end.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

an index

`attr` (GstSdp.SDPAttribute) –

a GstSdp.SDPAttribute

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### gst_sdp_message_insert_bandwidth

    GstSDPResult
    gst_sdp_message_insert_bandwidth (GstSDPMessage * msg,
                                      gint idx,
                                      GstSDPBandwidth * bw)

Insert bandwidth parameters into the array of bandwidths in msg at index idx. When -1 is given as idx, the bandwidth is inserted at the end.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

an index

`bw` –

the bandwidth

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPMessage.prototype.insert_bandwidth

    function GstSdp.SDPMessage.prototype.insert_bandwidth(idx: Number, bw: GstSdp.SDPBandwidth): {
        // javascript wrapper for 'gst_sdp_message_insert_bandwidth'
    }

Insert bandwidth parameters into the array of bandwidths in msg at index idx. When -1 is given as idx, the bandwidth is inserted at the end.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

an index

`bw` (GstSdp.SDPBandwidth) –

the bandwidth

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPMessage.insert_bandwidth

    def GstSdp.SDPMessage.insert_bandwidth (self, idx, bw):
        #python wrapper for 'gst_sdp_message_insert_bandwidth'

Insert bandwidth parameters into the array of bandwidths in msg at index idx. When -1 is given as idx, the bandwidth is inserted at the end.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

an index

`bw` (GstSdp.SDPBandwidth) –

the bandwidth

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### gst_sdp_message_insert_email

    GstSDPResult
    gst_sdp_message_insert_email (GstSDPMessage * msg,
                                  gint idx,
                                  const gchar* email)

Insert email into the array of emails in msg at index idx. When -1 is given as idx, the email is inserted at the end.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

an index

`email` –

an email

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPMessage.prototype.insert_email

    function GstSdp.SDPMessage.prototype.insert_email(idx: Number, email: String): {
        // javascript wrapper for 'gst_sdp_message_insert_email'
    }

Insert email into the array of emails in msg at index idx. When -1 is given as idx, the email is inserted at the end.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

an index

`email` (String) –

an email

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPMessage.insert_email

    def GstSdp.SDPMessage.insert_email (self, idx, email):
        #python wrapper for 'gst_sdp_message_insert_email'

Insert email into the array of emails in msg at index idx. When -1 is given as idx, the email is inserted at the end.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

an index

`email` (str) –

an email

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### gst_sdp_message_insert_phone

    GstSDPResult
    gst_sdp_message_insert_phone (GstSDPMessage * msg,
                                  gint idx,
                                  const gchar* phone)

Insert phone into the array of phone numbers in msg at index idx. When -1 is given as idx, the phone is inserted at the end.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

a phone index

`phone` –

a phone

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPMessage.prototype.insert_phone

    function GstSdp.SDPMessage.prototype.insert_phone(idx: Number, phone: String): {
        // javascript wrapper for 'gst_sdp_message_insert_phone'
    }

Insert phone into the array of phone numbers in msg at index idx. When -1 is given as idx, the phone is inserted at the end.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

a phone index

`phone` (String) –

a phone

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPMessage.insert_phone

    def GstSdp.SDPMessage.insert_phone (self, idx, phone):
        #python wrapper for 'gst_sdp_message_insert_phone'

Insert phone into the array of phone numbers in msg at index idx. When -1 is given as idx, the phone is inserted at the end.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

a phone index

`phone` (str) –

a phone

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### gst_sdp_message_insert_time

    GstSDPResult
    gst_sdp_message_insert_time (GstSDPMessage * msg,
                                 gint idx,
                                 GstSDPTime * t)

Insert time parameters into the array of times in msg at index idx. When -1 is given as idx, the times are inserted at the end.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

an index

`t` –

a GstSDPTime

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPMessage.prototype.insert_time

    function GstSdp.SDPMessage.prototype.insert_time(idx: Number, t: GstSdp.SDPTime): {
        // javascript wrapper for 'gst_sdp_message_insert_time'
    }

Insert time parameters into the array of times in msg at index idx. When -1 is given as idx, the times are inserted at the end.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

an index

`t` (GstSdp.SDPTime) –

a GstSdp.SDPTime

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPMessage.insert_time

    def GstSdp.SDPMessage.insert_time (self, idx, t):
        #python wrapper for 'gst_sdp_message_insert_time'

Insert time parameters into the array of times in msg at index idx. When -1 is given as idx, the times are inserted at the end.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

an index

`t` (GstSdp.SDPTime) –

a GstSdp.SDPTime

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### gst_sdp_message_insert_zone

    GstSDPResult
    gst_sdp_message_insert_zone (GstSDPMessage * msg,
                                 gint idx,
                                 GstSDPZone * zone)

Insert zone parameters into the array of zones in msg at index idx. When -1 is given as idx, the zone is inserted at the end.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

an index

`zone` –

a GstSDPZone

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPMessage.prototype.insert_zone

    function GstSdp.SDPMessage.prototype.insert_zone(idx: Number, zone: GstSdp.SDPZone): {
        // javascript wrapper for 'gst_sdp_message_insert_zone'
    }

Insert zone parameters into the array of zones in msg at index idx. When -1 is given as idx, the zone is inserted at the end.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

an index

`zone` (GstSdp.SDPZone) –

a GstSdp.SDPZone

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPMessage.insert_zone

    def GstSdp.SDPMessage.insert_zone (self, idx, zone):
        #python wrapper for 'gst_sdp_message_insert_zone'

Insert zone parameters into the array of zones in msg at index idx. When -1 is given as idx, the zone is inserted at the end.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

an index

`zone` (GstSdp.SDPZone) –

a GstSdp.SDPZone

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### gst_sdp_message_medias_len

    guint
    gst_sdp_message_medias_len (const GstSDPMessage * msg)

Get the number of media descriptions in msg.

Parameters:

`msg` –

a GstSDPMessage

Returns –

the number of media descriptions in msg.

#### GstSdp.SDPMessage.prototype.medias_len

    function GstSdp.SDPMessage.prototype.medias_len(): {
        // javascript wrapper for 'gst_sdp_message_medias_len'
    }

Get the number of media descriptions in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (Number) –

the number of media descriptions in msg.

#### GstSdp.SDPMessage.medias_len

    def GstSdp.SDPMessage.medias_len (self):
        #python wrapper for 'gst_sdp_message_medias_len'

Get the number of media descriptions in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (int) –

the number of media descriptions in msg.

#### gst_sdp_message_parse_keymgmt

    GstSDPResult
    gst_sdp_message_parse_keymgmt (const GstSDPMessage * msg,
                                   GstMIKEYMessage ** mikey)

Creates a new GstMIKEYMessage after parsing the key-mgmt attribute from a GstSDPMessage.

Parameters:

`msg` –

a GstSDPMessage

`mikey` ( [out][transfer: full]) –

pointer to new GstMIKEYMessage

Returns –

a GstSDPResult.

Since : 1.8.1

#### GstSdp.SDPMessage.prototype.parse_keymgmt

    function GstSdp.SDPMessage.prototype.parse_keymgmt(): {
        // javascript wrapper for 'gst_sdp_message_parse_keymgmt'
    }

Creates a new GstSdp.MIKEYMessage after parsing the key-mgmt attribute from a GstSdp.SDPMessage.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns a tuple made of:

(GstSdp.SDPResult ) –

a GstSdp.SDPResult.

`mikey` (GstSdp.MIKEYMessage ) –

a GstSdp.SDPResult.

Since : 1.8.1

#### GstSdp.SDPMessage.parse_keymgmt

    def GstSdp.SDPMessage.parse_keymgmt (self):
        #python wrapper for 'gst_sdp_message_parse_keymgmt'

Creates a new GstSdp.MIKEYMessage after parsing the key-mgmt attribute from a GstSdp.SDPMessage.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns a tuple made of:

(GstSdp.SDPResult ) –

a GstSdp.SDPResult.

`mikey` (GstSdp.MIKEYMessage ) –

a GstSdp.SDPResult.

Since : 1.8.1

#### gst_sdp_message_phones_len

    guint
    gst_sdp_message_phones_len (const GstSDPMessage * msg)

Get the number of phones in msg.

Parameters:

`msg` –

a GstSDPMessage

Returns –

the number of phones in msg.

#### GstSdp.SDPMessage.prototype.phones_len

    function GstSdp.SDPMessage.prototype.phones_len(): {
        // javascript wrapper for 'gst_sdp_message_phones_len'
    }

Get the number of phones in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (Number) –

the number of phones in msg.

#### GstSdp.SDPMessage.phones_len

    def GstSdp.SDPMessage.phones_len (self):
        #python wrapper for 'gst_sdp_message_phones_len'

Get the number of phones in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (int) –

the number of phones in msg.

#### gst_sdp_message_remove_attribute

    GstSDPResult
    gst_sdp_message_remove_attribute (GstSDPMessage * msg,
                                      guint idx)

Remove the attribute in msg at index idx.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

the index

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPMessage.prototype.remove_attribute

    function GstSdp.SDPMessage.prototype.remove_attribute(idx: Number): {
        // javascript wrapper for 'gst_sdp_message_remove_attribute'
    }

Remove the attribute in msg at index idx.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

the index

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPMessage.remove_attribute

    def GstSdp.SDPMessage.remove_attribute (self, idx):
        #python wrapper for 'gst_sdp_message_remove_attribute'

Remove the attribute in msg at index idx.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

the index

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### gst_sdp_message_remove_bandwidth

    GstSDPResult
    gst_sdp_message_remove_bandwidth (GstSDPMessage * msg,
                                      guint idx)

Remove the bandwidth information in msg at index idx.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

the bandwidth index

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPMessage.prototype.remove_bandwidth

    function GstSdp.SDPMessage.prototype.remove_bandwidth(idx: Number): {
        // javascript wrapper for 'gst_sdp_message_remove_bandwidth'
    }

Remove the bandwidth information in msg at index idx.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

the bandwidth index

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPMessage.remove_bandwidth

    def GstSdp.SDPMessage.remove_bandwidth (self, idx):
        #python wrapper for 'gst_sdp_message_remove_bandwidth'

Remove the bandwidth information in msg at index idx.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

the bandwidth index

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### gst_sdp_message_remove_email

    GstSDPResult
    gst_sdp_message_remove_email (GstSDPMessage * msg,
                                  guint idx)

Remove the email in msg at index idx.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

an email index

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPMessage.prototype.remove_email

    function GstSdp.SDPMessage.prototype.remove_email(idx: Number): {
        // javascript wrapper for 'gst_sdp_message_remove_email'
    }

Remove the email in msg at index idx.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

an email index

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPMessage.remove_email

    def GstSdp.SDPMessage.remove_email (self, idx):
        #python wrapper for 'gst_sdp_message_remove_email'

Remove the email in msg at index idx.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

an email index

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### gst_sdp_message_remove_media

    GstSDPResult
    gst_sdp_message_remove_media (GstSDPMessage * msg,
                                  guint idx)

Remove the media at idx from the array of medias in msg if found.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

the media index

Returns –

GST_SDP_OK when the specified media is found at idx and removed, GST_SDP_EINVAL otherwise.

Since : 1.24

#### GstSdp.SDPMessage.prototype.remove_media

    function GstSdp.SDPMessage.prototype.remove_media(idx: Number): {
        // javascript wrapper for 'gst_sdp_message_remove_media'
    }

Remove the media at idx from the array of medias in msg if found.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

the media index

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK when the specified media is found at idx and removed, GstSdp.SDPResult.EINVAL otherwise.

Since : 1.24

#### GstSdp.SDPMessage.remove_media

    def GstSdp.SDPMessage.remove_media (self, idx):
        #python wrapper for 'gst_sdp_message_remove_media'

Remove the media at idx from the array of medias in msg if found.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

the media index

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK when the specified media is found at idx and removed, GstSdp.SDPResult.EINVAL otherwise.

Since : 1.24

#### gst_sdp_message_remove_phone

    GstSDPResult
    gst_sdp_message_remove_phone (GstSDPMessage * msg,
                                  guint idx)

Remove the phone number in msg at index idx.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

a phone index

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPMessage.prototype.remove_phone

    function GstSdp.SDPMessage.prototype.remove_phone(idx: Number): {
        // javascript wrapper for 'gst_sdp_message_remove_phone'
    }

Remove the phone number in msg at index idx.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

a phone index

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPMessage.remove_phone

    def GstSdp.SDPMessage.remove_phone (self, idx):
        #python wrapper for 'gst_sdp_message_remove_phone'

Remove the phone number in msg at index idx.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

a phone index

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### gst_sdp_message_remove_time

    GstSDPResult
    gst_sdp_message_remove_time (GstSDPMessage * msg,
                                 guint idx)

Remove the time information in msg at index idx.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

the index

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPMessage.prototype.remove_time

    function GstSdp.SDPMessage.prototype.remove_time(idx: Number): {
        // javascript wrapper for 'gst_sdp_message_remove_time'
    }

Remove the time information in msg at index idx.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

the index

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPMessage.remove_time

    def GstSdp.SDPMessage.remove_time (self, idx):
        #python wrapper for 'gst_sdp_message_remove_time'

Remove the time information in msg at index idx.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

the index

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### gst_sdp_message_remove_zone

    GstSDPResult
    gst_sdp_message_remove_zone (GstSDPMessage * msg,
                                 guint idx)

Remove the zone information in msg at index idx.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

the index

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPMessage.prototype.remove_zone

    function GstSdp.SDPMessage.prototype.remove_zone(idx: Number): {
        // javascript wrapper for 'gst_sdp_message_remove_zone'
    }

Remove the zone information in msg at index idx.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

the index

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPMessage.remove_zone

    def GstSdp.SDPMessage.remove_zone (self, idx):
        #python wrapper for 'gst_sdp_message_remove_zone'

Remove the zone information in msg at index idx.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

the index

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### gst_sdp_message_replace_attribute

    GstSDPResult
    gst_sdp_message_replace_attribute (GstSDPMessage * msg,
                                       guint idx,
                                       GstSDPAttribute * attr)

Replace the attribute in msg at index idx with attr.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

the index

`attr` –

a GstSDPAttribute

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPMessage.prototype.replace_attribute

    function GstSdp.SDPMessage.prototype.replace_attribute(idx: Number, attr: GstSdp.SDPAttribute): {
        // javascript wrapper for 'gst_sdp_message_replace_attribute'
    }

Replace the attribute in msg at index idx with attr.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

the index

`attr` (GstSdp.SDPAttribute) –

a GstSdp.SDPAttribute

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPMessage.replace_attribute

    def GstSdp.SDPMessage.replace_attribute (self, idx, attr):
        #python wrapper for 'gst_sdp_message_replace_attribute'

Replace the attribute in msg at index idx with attr.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

the index

`attr` (GstSdp.SDPAttribute) –

a GstSdp.SDPAttribute

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### gst_sdp_message_replace_bandwidth

    GstSDPResult
    gst_sdp_message_replace_bandwidth (GstSDPMessage * msg,
                                       guint idx,
                                       GstSDPBandwidth * bw)

Replace the bandwidth information in msg at index idx with bw.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

the bandwidth index

`bw` –

the bandwidth

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPMessage.prototype.replace_bandwidth

    function GstSdp.SDPMessage.prototype.replace_bandwidth(idx: Number, bw: GstSdp.SDPBandwidth): {
        // javascript wrapper for 'gst_sdp_message_replace_bandwidth'
    }

Replace the bandwidth information in msg at index idx with bw.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

the bandwidth index

`bw` (GstSdp.SDPBandwidth) –

the bandwidth

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPMessage.replace_bandwidth

    def GstSdp.SDPMessage.replace_bandwidth (self, idx, bw):
        #python wrapper for 'gst_sdp_message_replace_bandwidth'

Replace the bandwidth information in msg at index idx with bw.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

the bandwidth index

`bw` (GstSdp.SDPBandwidth) –

the bandwidth

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### gst_sdp_message_replace_email

    GstSDPResult
    gst_sdp_message_replace_email (GstSDPMessage * msg,
                                   guint idx,
                                   const gchar* email)

Replace the email in msg at index idx with email.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

an email index

`email` –

an email

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPMessage.prototype.replace_email

    function GstSdp.SDPMessage.prototype.replace_email(idx: Number, email: String): {
        // javascript wrapper for 'gst_sdp_message_replace_email'
    }

Replace the email in msg at index idx with email.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

an email index

`email` (String) –

an email

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPMessage.replace_email

    def GstSdp.SDPMessage.replace_email (self, idx, email):
        #python wrapper for 'gst_sdp_message_replace_email'

Replace the email in msg at index idx with email.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

an email index

`email` (str) –

an email

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### gst_sdp_message_replace_phone

    GstSDPResult
    gst_sdp_message_replace_phone (GstSDPMessage * msg,
                                   guint idx,
                                   const gchar* phone)

Replace the phone number in msg at index idx with phone.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

a phone index

`phone` –

a phone

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPMessage.prototype.replace_phone

    function GstSdp.SDPMessage.prototype.replace_phone(idx: Number, phone: String): {
        // javascript wrapper for 'gst_sdp_message_replace_phone'
    }

Replace the phone number in msg at index idx with phone.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

a phone index

`phone` (String) –

a phone

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPMessage.replace_phone

    def GstSdp.SDPMessage.replace_phone (self, idx, phone):
        #python wrapper for 'gst_sdp_message_replace_phone'

Replace the phone number in msg at index idx with phone.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

a phone index

`phone` (str) –

a phone

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### gst_sdp_message_replace_time

    GstSDPResult
    gst_sdp_message_replace_time (GstSDPMessage * msg,
                                  guint idx,
                                  GstSDPTime * t)

Replace the time information in msg at index idx with t.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

the index

`t` –

a GstSDPTime

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPMessage.prototype.replace_time

    function GstSdp.SDPMessage.prototype.replace_time(idx: Number, t: GstSdp.SDPTime): {
        // javascript wrapper for 'gst_sdp_message_replace_time'
    }

Replace the time information in msg at index idx with t.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

the index

`t` (GstSdp.SDPTime) –

a GstSdp.SDPTime

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPMessage.replace_time

    def GstSdp.SDPMessage.replace_time (self, idx, t):
        #python wrapper for 'gst_sdp_message_replace_time'

Replace the time information in msg at index idx with t.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

the index

`t` (GstSdp.SDPTime) –

a GstSdp.SDPTime

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### gst_sdp_message_replace_zone

    GstSDPResult
    gst_sdp_message_replace_zone (GstSDPMessage * msg,
                                  guint idx,
                                  GstSDPZone * zone)

Replace the zone information in msg at index idx with zone.

Parameters:

`msg` –

a GstSDPMessage

`idx` –

the index

`zone` –

a GstSDPZone

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPMessage.prototype.replace_zone

    function GstSdp.SDPMessage.prototype.replace_zone(idx: Number, zone: GstSdp.SDPZone): {
        // javascript wrapper for 'gst_sdp_message_replace_zone'
    }

Replace the zone information in msg at index idx with zone.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (Number) –

the index

`zone` (GstSdp.SDPZone) –

a GstSdp.SDPZone

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPMessage.replace_zone

    def GstSdp.SDPMessage.replace_zone (self, idx, zone):
        #python wrapper for 'gst_sdp_message_replace_zone'

Replace the zone information in msg at index idx with zone.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`idx` (int) –

the index

`zone` (GstSdp.SDPZone) –

a GstSdp.SDPZone

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### gst_sdp_message_set_connection

    GstSDPResult
    gst_sdp_message_set_connection (GstSDPMessage * msg,
                                    const gchar* nettype,
                                    const gchar* addrtype,
                                    const gchar* address,
                                    guint ttl,
                                    guint addr_number)

Configure the SDP connection in msg with the given parameters.

Parameters:

`msg` –

a GstSDPMessage

`nettype` –

the type of network. "IN" is defined to have the meaning "Internet".

`addrtype` –

the type of address.

`address` –

the address

`ttl` –

the time to live of the address

`addr_number` –

the number of layers

Returns –

a GstSDPResult.

#### GstSdp.SDPMessage.prototype.set_connection

    function GstSdp.SDPMessage.prototype.set_connection(nettype: String, addrtype: String, address: String, ttl: Number, addr_number: Number): {
        // javascript wrapper for 'gst_sdp_message_set_connection'
    }

Configure the SDP connection in msg with the given parameters.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`nettype` (String) –

the type of network. "IN" is defined to have the meaning "Internet".

`addrtype` (String) –

the type of address.

`address` (String) –

the address

`ttl` (Number) –

the time to live of the address

`addr_number` (Number) –

the number of layers

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### GstSdp.SDPMessage.set_connection

    def GstSdp.SDPMessage.set_connection (self, nettype, addrtype, address, ttl, addr_number):
        #python wrapper for 'gst_sdp_message_set_connection'

Configure the SDP connection in msg with the given parameters.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`nettype` (str) –

the type of network. "IN" is defined to have the meaning "Internet".

`addrtype` (str) –

the type of address.

`address` (str) –

the address

`ttl` (int) –

the time to live of the address

`addr_number` (int) –

the number of layers

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### gst_sdp_message_set_information

    GstSDPResult
    gst_sdp_message_set_information (GstSDPMessage * msg,
                                     const gchar* information)

Set the information in msg.

Parameters:

`msg` –

a GstSDPMessage

`information` –

the information

Returns –

a GstSDPResult.

#### GstSdp.SDPMessage.prototype.set_information

    function GstSdp.SDPMessage.prototype.set_information(information: String): {
        // javascript wrapper for 'gst_sdp_message_set_information'
    }

Set the information in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`information` (String) –

the information

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### GstSdp.SDPMessage.set_information

    def GstSdp.SDPMessage.set_information (self, information):
        #python wrapper for 'gst_sdp_message_set_information'

Set the information in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`information` (str) –

the information

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### gst_sdp_message_set_key

    GstSDPResult
    gst_sdp_message_set_key (GstSDPMessage * msg,
                             const gchar* type,
                             const gchar* data)

Adds the encryption information to msg.

Parameters:

`msg` –

a GstSDPMessage

`type` –

the encryption type

`data` –

the encryption data

Returns –

a GstSDPResult.

#### GstSdp.SDPMessage.prototype.set_key

    function GstSdp.SDPMessage.prototype.set_key(type: String, data: String): {
        // javascript wrapper for 'gst_sdp_message_set_key'
    }

Adds the encryption information to msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`type` (String) –

the encryption type

`data` (String) –

the encryption data

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### GstSdp.SDPMessage.set_key

    def GstSdp.SDPMessage.set_key (self, type, data):
        #python wrapper for 'gst_sdp_message_set_key'

Adds the encryption information to msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`type` (str) –

the encryption type

`data` (str) –

the encryption data

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### gst_sdp_message_set_origin

    GstSDPResult
    gst_sdp_message_set_origin (GstSDPMessage * msg,
                                const gchar* username,
                                const gchar* sess_id,
                                const gchar* sess_version,
                                const gchar* nettype,
                                const gchar* addrtype,
                                const gchar* addr)

Configure the SDP origin in msg with the given parameters.

Parameters:

`msg` –

a GstSDPMessage

`username` –

the user name

`sess_id` –

a session id

`sess_version` –

a session version

`nettype` –

a network type

`addrtype` –

an address type

`addr` –

an address

Returns –

GST_SDP_OK.

#### GstSdp.SDPMessage.prototype.set_origin

    function GstSdp.SDPMessage.prototype.set_origin(username: String, sess_id: String, sess_version: String, nettype: String, addrtype: String, addr: String): {
        // javascript wrapper for 'gst_sdp_message_set_origin'
    }

Configure the SDP origin in msg with the given parameters.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`username` (String) –

the user name

`sess_id` (String) –

a session id

`sess_version` (String) –

a session version

`nettype` (String) –

a network type

`addrtype` (String) –

an address type

`addr` (String) –

an address

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

#### GstSdp.SDPMessage.set_origin

    def GstSdp.SDPMessage.set_origin (self, username, sess_id, sess_version, nettype, addrtype, addr):
        #python wrapper for 'gst_sdp_message_set_origin'

Configure the SDP origin in msg with the given parameters.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`username` (str) –

the user name

`sess_id` (str) –

a session id

`sess_version` (str) –

a session version

`nettype` (str) –

a network type

`addrtype` (str) –

an address type

`addr` (str) –

an address

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK.

#### gst_sdp_message_set_session_name

    GstSDPResult
    gst_sdp_message_set_session_name (GstSDPMessage * msg,
                                      const gchar* session_name)

Set the session name in msg.

Parameters:

`msg` –

a GstSDPMessage

`session_name` –

the session name

Returns –

a GstSDPResult.

#### GstSdp.SDPMessage.prototype.set_session_name

    function GstSdp.SDPMessage.prototype.set_session_name(session_name: String): {
        // javascript wrapper for 'gst_sdp_message_set_session_name'
    }

Set the session name in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`session_name` (String) –

the session name

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### GstSdp.SDPMessage.set_session_name

    def GstSdp.SDPMessage.set_session_name (self, session_name):
        #python wrapper for 'gst_sdp_message_set_session_name'

Set the session name in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`session_name` (str) –

the session name

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### gst_sdp_message_set_uri

    GstSDPResult
    gst_sdp_message_set_uri (GstSDPMessage * msg,
                             const gchar* uri)

Set the URI in msg.

Parameters:

`msg` –

a GstSDPMessage

`uri` –

the URI

Returns –

a GstSDPResult.

#### GstSdp.SDPMessage.prototype.set_uri

    function GstSdp.SDPMessage.prototype.set_uri(uri: String): {
        // javascript wrapper for 'gst_sdp_message_set_uri'
    }

Set the URI in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`uri` (String) –

the URI

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### GstSdp.SDPMessage.set_uri

    def GstSdp.SDPMessage.set_uri (self, uri):
        #python wrapper for 'gst_sdp_message_set_uri'

Set the URI in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`uri` (str) –

the URI

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### gst_sdp_message_set_version

    GstSDPResult
    gst_sdp_message_set_version (GstSDPMessage * msg,
                                 const gchar* version)

Set the version in msg.

Parameters:

`msg` –

a GstSDPMessage

`version` –

the version

Returns –

a GstSDPResult.

#### GstSdp.SDPMessage.prototype.set_version

    function GstSdp.SDPMessage.prototype.set_version(version: String): {
        // javascript wrapper for 'gst_sdp_message_set_version'
    }

Set the version in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`version` (String) –

the version

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### GstSdp.SDPMessage.set_version

    def GstSdp.SDPMessage.set_version (self, version):
        #python wrapper for 'gst_sdp_message_set_version'

Set the version in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`version` (str) –

the version

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### gst_sdp_message_times_len

    guint
    gst_sdp_message_times_len (const GstSDPMessage * msg)

Get the number of time information entries in msg.

Parameters:

`msg` –

a GstSDPMessage

Returns –

the number of time information entries in msg.

#### GstSdp.SDPMessage.prototype.times_len

    function GstSdp.SDPMessage.prototype.times_len(): {
        // javascript wrapper for 'gst_sdp_message_times_len'
    }

Get the number of time information entries in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (Number) –

the number of time information entries in msg.

#### GstSdp.SDPMessage.times_len

    def GstSdp.SDPMessage.times_len (self):
        #python wrapper for 'gst_sdp_message_times_len'

Get the number of time information entries in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (int) –

the number of time information entries in msg.

#### gst_sdp_message_uninit

    GstSDPResult
    gst_sdp_message_uninit (GstSDPMessage * msg)

Free all resources allocated in msg. msg should not be used anymore after this function. This function should be used when msg was allocated on the stack and initialized with gst_sdp_message_init.

Parameters:

`msg` –

a GstSDPMessage

Returns –

a GstSDPResult.

#### GstSdp.SDPMessage.prototype.uninit

    function GstSdp.SDPMessage.prototype.uninit(): {
        // javascript wrapper for 'gst_sdp_message_uninit'
    }

Free all resources allocated in msg. msg should not be used anymore after this function. This function should be used when msg was allocated on the stack and initialized with GstSdp.prototype.sdp_message_init.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### GstSdp.SDPMessage.uninit

    def GstSdp.SDPMessage.uninit (self):
        #python wrapper for 'gst_sdp_message_uninit'

Free all resources allocated in msg. msg should not be used anymore after this function. This function should be used when msg was allocated on the stack and initialized with GstSdp.sdp_message_init.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

#### gst_sdp_message_zones_len

    guint
    gst_sdp_message_zones_len (const GstSDPMessage * msg)

Get the number of time zone information entries in msg.

Parameters:

`msg` –

a GstSDPMessage

Returns –

the number of time zone information entries in msg.

#### GstSdp.SDPMessage.prototype.zones_len

    function GstSdp.SDPMessage.prototype.zones_len(): {
        // javascript wrapper for 'gst_sdp_message_zones_len'
    }

Get the number of time zone information entries in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (Number) –

the number of time zone information entries in msg.

#### GstSdp.SDPMessage.zones_len

    def GstSdp.SDPMessage.zones_len (self):
        #python wrapper for 'gst_sdp_message_zones_len'

Get the number of time zone information entries in msg.

Parameters:

`msg` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (int) –

the number of time zone information entries in msg.

### Functions

#### gst_sdp_message_as_uri

    gchar*
    gst_sdp_message_as_uri (const gchar* scheme,
                            const GstSDPMessage * msg)

Creates a uri from msg with the given scheme. The uri has the format:

@scheme:///[#type=value *[&type=value]]

Where each value is url encoded.

Parameters:

`scheme` –

the uri scheme

`msg` –

the GstSDPMessage

Returns ( [transfer: full]) –

a uri for msg.

#### GstSdp.prototype.sdp_message_as_uri

    function GstSdp.prototype.sdp_message_as_uri(scheme: String, msg: GstSdp.SDPMessage): {
        // javascript wrapper for 'gst_sdp_message_as_uri'
    }

Creates a uri from msg with the given scheme. The uri has the format:

@scheme:///[#type=value *[&type=value]]

Where each value is url encoded.

Parameters:

`scheme` (String) –

the uri scheme

`msg` (GstSdp.SDPMessage) –

the GstSdp.SDPMessage

Returns (String) –

a uri for msg.

#### GstSdp.sdp_message_as_uri

    def GstSdp.sdp_message_as_uri (scheme, msg):
        #python wrapper for 'gst_sdp_message_as_uri'

Creates a uri from msg with the given scheme. The uri has the format:

@scheme:///[#type=value *[&type=value]]

Where each value is url encoded.

Parameters:

`scheme` (str) –

the uri scheme

`msg` (GstSdp.SDPMessage) –

the GstSdp.SDPMessage

Returns (str) –

a uri for msg.

#### gst_sdp_message_init

    GstSDPResult
    gst_sdp_message_init (GstSDPMessage * msg)

Initialize msg so that its contents are as if it was freshly allocated with gst_sdp_message_new. This function is mostly used to initialize a message allocated on the stack. gst_sdp_message_uninit undoes this operation.

When this function is invoked on newly allocated data (with malloc or on the stack), its contents should be set to 0 before calling this function.

Parameters:

`msg` ( [out]) –

a GstSDPMessage

Returns –

a GstSDPResult.

#### GstSdp.prototype.sdp_message_init

    function GstSdp.prototype.sdp_message_init(): {
        // javascript wrapper for 'gst_sdp_message_init'
    }

Initialize msg so that its contents are as if it was freshly allocated with GstSdp.prototype.sdp_message_new. This function is mostly used to initialize a message allocated on the stack. GstSdp.SDPMessage.prototype.uninit undoes this operation.

When this function is invoked on newly allocated data (with malloc or on the stack), its contents should be set to 0 before calling this function.

Returns a tuple made of:

(GstSdp.SDPResult ) –

a GstSdp.SDPResult.

`msg` (GstSdp.SDPMessage ) –

a GstSdp.SDPResult.

#### GstSdp.sdp_message_init

    def GstSdp.sdp_message_init ():
        #python wrapper for 'gst_sdp_message_init'

Initialize msg so that its contents are as if it was freshly allocated with GstSdp.sdp_message_new. This function is mostly used to initialize a message allocated on the stack. GstSdp.SDPMessage.uninit undoes this operation.

When this function is invoked on newly allocated data (with malloc or on the stack), its contents should be set to 0 before calling this function.

Returns a tuple made of:

(GstSdp.SDPResult ) –

a GstSdp.SDPResult.

`msg` (GstSdp.SDPMessage ) –

a GstSdp.SDPResult.

#### gst_sdp_message_new

    GstSDPResult
    gst_sdp_message_new (GstSDPMessage ** msg)

Allocate a new GstSDPMessage and store the result in msg.

Parameters:

`msg` ( [out][transfer: full]) –

pointer to new GstSDPMessage

Returns –

a GstSDPResult.

#### GstSdp.prototype.sdp_message_new

    function GstSdp.prototype.sdp_message_new(): {
        // javascript wrapper for 'gst_sdp_message_new'
    }

Allocate a new GstSDPMessage and store the result in msg.

Returns a tuple made of:

(GstSdp.SDPResult ) –

a GstSdp.SDPResult.

`msg` (GstSdp.SDPMessage ) –

a GstSdp.SDPResult.

#### GstSdp.sdp_message_new

    def GstSdp.sdp_message_new ():
        #python wrapper for 'gst_sdp_message_new'

Allocate a new GstSDPMessage and store the result in msg.

Returns a tuple made of:

(GstSdp.SDPResult ) –

a GstSdp.SDPResult.

`msg` (GstSdp.SDPMessage ) –

a GstSdp.SDPResult.

#### gst_sdp_message_new_from_text

    GstSDPResult
    gst_sdp_message_new_from_text (const gchar* text,
                                   GstSDPMessage ** msg)

Parse text and create a new SDPMessage from these.

Parameters:

`text` –

A dynamically allocated string representing the SDP description

`msg` ( [out][transfer: full]) –

pointer to new GstSDPMessage

Returns –

a GstSDPResult.

Since : 1.16

#### GstSdp.prototype.sdp_message_new_from_text

    function GstSdp.prototype.sdp_message_new_from_text(text: String): {
        // javascript wrapper for 'gst_sdp_message_new_from_text'
    }

Parse text and create a new SDPMessage from these.

Parameters:

`text` (String) –

A dynamically allocated string representing the SDP description

Returns a tuple made of:

(GstSdp.SDPResult ) –

a GstSdp.SDPResult.

`msg` (GstSdp.SDPMessage ) –

a GstSdp.SDPResult.

Since : 1.16

#### GstSdp.sdp_message_new_from_text

    def GstSdp.sdp_message_new_from_text (text):
        #python wrapper for 'gst_sdp_message_new_from_text'

Parse text and create a new SDPMessage from these.

Parameters:

`text` (str) –

A dynamically allocated string representing the SDP description

Returns a tuple made of:

(GstSdp.SDPResult ) –

a GstSdp.SDPResult.

`msg` (GstSdp.SDPMessage ) –

a GstSdp.SDPResult.

Since : 1.16

#### gst_sdp_message_parse_buffer

    GstSDPResult
    gst_sdp_message_parse_buffer (const guint8* data,
                                  guint size,
                                  GstSDPMessage * msg)

Parse the contents of size bytes pointed to by data and store the result in msg.

Parameters:

`data` ( [arraylength=size]) –

the start of the buffer

`size` –

the size of the buffer

`msg` ( [transfer: none]) –

the result GstSDPMessage

Returns –

GST_SDP_OK on success.

#### GstSdp.prototype.sdp_message_parse_buffer

    function GstSdp.prototype.sdp_message_parse_buffer(data: [ Number ], size: Number, msg: GstSdp.SDPMessage): {
        // javascript wrapper for 'gst_sdp_message_parse_buffer'
    }

Parse the contents of size bytes pointed to by data and store the result in msg.

Parameters:

`data` ([ Number ]) –

the start of the buffer

`size` (Number) –

the size of the buffer

`msg` (GstSdp.SDPMessage) –

the result GstSdp.SDPMessage

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK on success.

#### GstSdp.sdp_message_parse_buffer

    def GstSdp.sdp_message_parse_buffer (data, size, msg):
        #python wrapper for 'gst_sdp_message_parse_buffer'

Parse the contents of size bytes pointed to by data and store the result in msg.

Parameters:

`data` ([ int ]) –

the start of the buffer

`size` (int) –

the size of the buffer

`msg` (GstSdp.SDPMessage) –

the result GstSdp.SDPMessage

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK on success.

#### gst_sdp_message_parse_uri

    GstSDPResult
    gst_sdp_message_parse_uri (const gchar* uri,
                               GstSDPMessage * msg)

Parse the null-terminated uri and store the result in msg.

The uri should be of the form:

scheme://[address[:ttl=ttl][:noa=noa]]/[sessionname] [#type=value *[&type=value]]

where value is url encoded. This looslely resembles http://tools.ietf.org/html/draft-fujikawa-sdp-url-01

Parameters:

`uri` –

the start of the uri

`msg` ( [transfer: none]) –

the result GstSDPMessage

Returns –

GST_SDP_OK on success.

#### GstSdp.prototype.sdp_message_parse_uri

    function GstSdp.prototype.sdp_message_parse_uri(uri: String, msg: GstSdp.SDPMessage): {
        // javascript wrapper for 'gst_sdp_message_parse_uri'
    }

Parse the null-terminated uri and store the result in msg.

The uri should be of the form:

scheme://[address[:ttl=ttl][:noa=noa]]/[sessionname] [#type=value *[&type=value]]

where value is url encoded. This looslely resembles http://tools.ietf.org/html/draft-fujikawa-sdp-url-01

Parameters:

`uri` (String) –

the start of the uri

`msg` (GstSdp.SDPMessage) –

the result GstSdp.SDPMessage

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK on success.

#### GstSdp.sdp_message_parse_uri

    def GstSdp.sdp_message_parse_uri (uri, msg):
        #python wrapper for 'gst_sdp_message_parse_uri'

Parse the null-terminated uri and store the result in msg.

The uri should be of the form:

scheme://[address[:ttl=ttl][:noa=noa]]/[sessionname] [#type=value *[&type=value]]

where value is url encoded. This looslely resembles http://tools.ietf.org/html/draft-fujikawa-sdp-url-01

Parameters:

`uri` (str) –

the start of the uri

`msg` (GstSdp.SDPMessage) –

the result GstSdp.SDPMessage

Returns (GstSdp.SDPResult) –

GstSdp.SDPResult.OK on success.

## GstSDPOrigin

The contents of the SDP "o=" field which gives the originator of the session (their username and the address of the user's host) plus a session id and session version number.

### Members

`username` (gchar*) –

the user's login on the originating host, or it is "-" if the originating host does not support the concept of user ids.

`sess_id` (gchar*) –

is a numeric string such that the tuple of username, sess_id, nettype, addrtype and addr form a globally unique identifier for the session.

`sess_version` (gchar*) –

a version number for this announcement

`nettype` (gchar*) –

the type of network. "IN" is defined to have the meaning "Internet".

`addrtype` (gchar*) –

the type of addr.

`addr` (gchar*) –

the globally unique address of the machine from which the session was created.

## GstSdp.SDPOrigin

The contents of the SDP "o=" field which gives the originator of the session (their username and the address of the user's host) plus a session id and session version number.

### Members

`username` (String) –

the user's login on the originating host, or it is "-" if the originating host does not support the concept of user ids.

`sess_id` (String) –

is a numeric string such that the tuple of username, sess_id, nettype, addrtype and addr form a globally unique identifier for the session.

`sess_version` (String) –

a version number for this announcement

`nettype` (String) –

the type of network. "IN" is defined to have the meaning "Internet".

`addrtype` (String) –

the type of addr.

`addr` (String) –

the globally unique address of the machine from which the session was created.

## GstSdp.SDPOrigin

The contents of the SDP "o=" field which gives the originator of the session (their username and the address of the user's host) plus a session id and session version number.

### Members

`username` (str) –

the user's login on the originating host, or it is "-" if the originating host does not support the concept of user ids.

`sess_id` (str) –

is a numeric string such that the tuple of username, sess_id, nettype, addrtype and addr form a globally unique identifier for the session.

`sess_version` (str) –

a version number for this announcement

`nettype` (str) –

the type of network. "IN" is defined to have the meaning "Internet".

`addrtype` (str) –

the type of addr.

`addr` (str) –

the globally unique address of the machine from which the session was created.

## GstSDPTime

The contents of the SDP "t=" field which specify the start and stop times for a conference session.

### Members

`start` (gchar*) –

start time for the conference. The value is the decimal representation of Network Time Protocol (NTP) time values in seconds

`stop` (gchar*) –

stop time for the conference. The value is the decimal representation of Network Time Protocol (NTP) time values in seconds

`repeat` (GArray *) –

repeat times for a session

## GstSdp.SDPTime

The contents of the SDP "t=" field which specify the start and stop times for a conference session.

### Members

`start` (String) –

start time for the conference. The value is the decimal representation of Network Time Protocol (NTP) time values in seconds

`stop` (String) –

stop time for the conference. The value is the decimal representation of Network Time Protocol (NTP) time values in seconds

`repeat` ([ Object ]) –

repeat times for a session

## GstSdp.SDPTime

The contents of the SDP "t=" field which specify the start and stop times for a conference session.

### Members

`start` (str) –

start time for the conference. The value is the decimal representation of Network Time Protocol (NTP) time values in seconds

`stop` (str) –

stop time for the conference. The value is the decimal representation of Network Time Protocol (NTP) time values in seconds

`repeat` ([ object ]) –

repeat times for a session

### Methods

#### gst_sdp_time_clear

    GstSDPResult
    gst_sdp_time_clear (GstSDPTime * t)

Reset the time information in t.

Parameters:

`t` –

a GstSDPTime

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPTime.prototype.clear

    function GstSdp.SDPTime.prototype.clear(): {
        // javascript wrapper for 'gst_sdp_time_clear'
    }

Reset the time information in t.

Parameters:

`t` (GstSdp.SDPTime) –

a GstSdp.SDPTime

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPTime.clear

    def GstSdp.SDPTime.clear (self):
        #python wrapper for 'gst_sdp_time_clear'

Reset the time information in t.

Parameters:

`t` (GstSdp.SDPTime) –

a GstSdp.SDPTime

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### gst_sdp_time_set

    GstSDPResult
    gst_sdp_time_set (GstSDPTime * t,
                      const gchar* start,
                      const gchar* stop,
                      const gchar** repeat)

Set time information start, stop and repeat in t.

Parameters:

`t` –

a GstSDPTime

`start` –

the start time

`stop` –

the stop time

`repeat` ( [arrayzero-terminated=1]) –

the repeat times

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPTime.prototype.set

    function GstSdp.SDPTime.prototype.set(start: String, stop: String, repeat: [ String ]): {
        // javascript wrapper for 'gst_sdp_time_set'
    }

Set time information start, stop and repeat in t.

Parameters:

`t` (GstSdp.SDPTime) –

a GstSdp.SDPTime

`start` (String) –

the start time

`stop` (String) –

the stop time

`repeat` ([ String ]) –

the repeat times

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPTime.set

    def GstSdp.SDPTime.set (self, start, stop, repeat):
        #python wrapper for 'gst_sdp_time_set'

Set time information start, stop and repeat in t.

Parameters:

`t` (GstSdp.SDPTime) –

a GstSdp.SDPTime

`start` (str) –

the start time

`stop` (str) –

the stop time

`repeat` ([ str ]) –

the repeat times

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

## GstSDPZone

The contents of the SDP "z=" field which allows the sender to specify a list of time zone adjustments and offsets from the base time.

### Members

`time` (gchar*) –

the NTP time that a time zone adjustment happens

`typed_time` (gchar*) –

the offset from the time when the session was first scheduled

## GstSdp.SDPZone

The contents of the SDP "z=" field which allows the sender to specify a list of time zone adjustments and offsets from the base time.

### Members

`time` (String) –

the NTP time that a time zone adjustment happens

`typed_time` (String) –

the offset from the time when the session was first scheduled

## GstSdp.SDPZone

The contents of the SDP "z=" field which allows the sender to specify a list of time zone adjustments and offsets from the base time.

### Members

`time` (str) –

the NTP time that a time zone adjustment happens

`typed_time` (str) –

the offset from the time when the session was first scheduled

### Methods

#### gst_sdp_zone_clear

    GstSDPResult
    gst_sdp_zone_clear (GstSDPZone * zone)

Reset the zone information in zone.

Parameters:

`zone` –

a GstSDPZone

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPZone.prototype.clear

    function GstSdp.SDPZone.prototype.clear(): {
        // javascript wrapper for 'gst_sdp_zone_clear'
    }

Reset the zone information in zone.

Parameters:

`zone` (GstSdp.SDPZone) –

a GstSdp.SDPZone

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPZone.clear

    def GstSdp.SDPZone.clear (self):
        #python wrapper for 'gst_sdp_zone_clear'

Reset the zone information in zone.

Parameters:

`zone` (GstSdp.SDPZone) –

a GstSdp.SDPZone

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### gst_sdp_zone_set

    GstSDPResult
    gst_sdp_zone_set (GstSDPZone * zone,
                      const gchar* adj_time,
                      const gchar* typed_time)

Set zone information in zone.

Parameters:

`zone` –

a GstSDPZone

`adj_time` –

the NTP time that a time zone adjustment happens

`typed_time` –

the offset from the time when the session was first scheduled

Returns –

a GstSDPResult.

Since : 1.2

#### GstSdp.SDPZone.prototype.set

    function GstSdp.SDPZone.prototype.set(adj_time: String, typed_time: String): {
        // javascript wrapper for 'gst_sdp_zone_set'
    }

Set zone information in zone.

Parameters:

`zone` (GstSdp.SDPZone) –

a GstSdp.SDPZone

`adj_time` (String) –

the NTP time that a time zone adjustment happens

`typed_time` (String) –

the offset from the time when the session was first scheduled

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

#### GstSdp.SDPZone.set

    def GstSdp.SDPZone.set (self, adj_time, typed_time):
        #python wrapper for 'gst_sdp_zone_set'

Set zone information in zone.

Parameters:

`zone` (GstSdp.SDPZone) –

a GstSdp.SDPZone

`adj_time` (str) –

the NTP time that a time zone adjustment happens

`typed_time` (str) –

the offset from the time when the session was first scheduled

Returns (GstSdp.SDPResult) –

a GstSdp.SDPResult.

Since : 1.2

## Functions

### gst_sdp_address_is_multicast

    gboolean
    gst_sdp_address_is_multicast (const gchar* nettype,
                                  const gchar* addrtype,
                                  const gchar* addr)

Check if the given addr is a multicast address.

Parameters:

`nettype` –

a network type

`addrtype` –

an address type

`addr` –

an address

Returns –

TRUE when addr is multicast.

### GstSdp.prototype.sdp_address_is_multicast

    function GstSdp.prototype.sdp_address_is_multicast(nettype: String, addrtype: String, addr: String): {
        // javascript wrapper for 'gst_sdp_address_is_multicast'
    }

Check if the given addr is a multicast address.

Parameters:

`nettype` (String) –

a network type

`addrtype` (String) –

an address type

`addr` (String) –

an address

Returns (Number) –

TRUE when addr is multicast.

### GstSdp.sdp_address_is_multicast

    def GstSdp.sdp_address_is_multicast (nettype, addrtype, addr):
        #python wrapper for 'gst_sdp_address_is_multicast'

Check if the given addr is a multicast address.

Parameters:

`nettype` (str) –

a network type

`addrtype` (str) –

an address type

`addr` (str) –

an address

Returns (bool) –

TRUE when addr is multicast.

### gst_sdp_make_keymgmt

    gchar*
    gst_sdp_make_keymgmt (const gchar* uri,
                          const gchar* base64)

Makes key management data

Parameters:

`uri` –

a gchar URI

`base64` –

a gchar base64-encoded key data

Returns ( [transfer: full]) –

a gchar key-mgmt data,

Since : 1.8

### GstSdp.prototype.sdp_make_keymgmt

    function GstSdp.prototype.sdp_make_keymgmt(uri: String, base64: String): {
        // javascript wrapper for 'gst_sdp_make_keymgmt'
    }

Makes key management data

Parameters:

`uri` (String) –

a gchar URI

`base64` (String) –

a gchar base64-encoded key data

Returns (String) –

a gchar key-mgmt data,

Since : 1.8

### GstSdp.sdp_make_keymgmt

    def GstSdp.sdp_make_keymgmt (uri, base64):
        #python wrapper for 'gst_sdp_make_keymgmt'

Makes key management data

Parameters:

`uri` (str) –

a gchar URI

`base64` (str) –

a gchar base64-encoded key data

Returns (str) –

a gchar key-mgmt data,

Since : 1.8

## Function Macros

### GST_SDP_MESSAGE_CAST

    #define GST_SDP_MESSAGE_CAST(object)   ((GstSDPMessage *)(object))

## Constants

### GST_SDP_BWTYPE_AS

    #define GST_SDP_BWTYPE_AS               "AS"

The Application-Specific Maximum bandwidth modifier.

### GstSdp.SDP_BWTYPE_AS

The Application-Specific Maximum bandwidth modifier.

### GstSdp.SDP_BWTYPE_AS

The Application-Specific Maximum bandwidth modifier.

### GST_SDP_BWTYPE_CT

    #define GST_SDP_BWTYPE_CT               "CT"

The Conference Total bandwidth modifier.

### GstSdp.SDP_BWTYPE_CT

The Conference Total bandwidth modifier.

### GstSdp.SDP_BWTYPE_CT

The Conference Total bandwidth modifier.

### GST_SDP_BWTYPE_EXT_PREFIX

    #define GST_SDP_BWTYPE_EXT_PREFIX       "X-"

The extension prefix bandwidth modifier.

### GstSdp.SDP_BWTYPE_EXT_PREFIX

The extension prefix bandwidth modifier.

### GstSdp.SDP_BWTYPE_EXT_PREFIX

The extension prefix bandwidth modifier.

### GST_SDP_BWTYPE_RR

    #define GST_SDP_BWTYPE_RR               "RR"

RTCP bandwidth allocated to data receivers (RFC 3556).

### GstSdp.SDP_BWTYPE_RR

RTCP bandwidth allocated to data receivers (RFC 3556).

### GstSdp.SDP_BWTYPE_RR

RTCP bandwidth allocated to data receivers (RFC 3556).

### GST_SDP_BWTYPE_RS

    #define GST_SDP_BWTYPE_RS               "RS"

RTCP bandwidth allocated to active data senders (RFC 3556).

### GstSdp.SDP_BWTYPE_RS

RTCP bandwidth allocated to active data senders (RFC 3556).

### GstSdp.SDP_BWTYPE_RS

RTCP bandwidth allocated to active data senders (RFC 3556).

### GST_SDP_BWTYPE_TIAS

    #define GST_SDP_BWTYPE_TIAS             "TIAS"

Transport Independent Application Specific Maximum bandwidth (RFC 3890).

### GstSdp.SDP_BWTYPE_TIAS

Transport Independent Application Specific Maximum bandwidth (RFC 3890).

### GstSdp.SDP_BWTYPE_TIAS

Transport Independent Application Specific Maximum bandwidth (RFC 3890).

The results of the search are